2020-02-02 Greg Hellings <greg.hellings@gmail.com>

	* Remove NASB unique lexica handling

2019-05-10 Dominique Corbex <domcox@users.sf.net>

	* remove Waf
	* remove Debian directory (Not needed anymore: CMake builds debs)
	* update Italian translation (thanks to LAfricain)

2018-05-13 Dominique Corbex <domcox@users.sf.net>

	* CMake port
	* move Help from Docbook to Mallard

2018-04-18  karl <charcoal@users.sf.net>

	* 4.1.0 release.
	  hereafter, see "git log" for update progress.

2017-09-24  karl <charcoal@users.sf.net>

	* 4.0.7 release.

2017-09-11  karl <charcoal@users.sf.net>

	* #822 prefs option not to use alternating fg/bg in parallel displays.
	* update appdata to get screenshots from github, not sourceforge.
	* add -Wl,-z,muldefs to stop failures from recent dbus braindamage.

2017-09-03  karl <charcoal@users.sf.net>

	* #524 fix use of fonts whose names end in digits.
	  (ex. Goudy Bookletter 1911.)
	* #788 use saved status of detached sidebar.
	* #739 click verse text before/after to cross chapters.
	* #725 offer book/chapter-outlined journal.

2017-08-23  karl <charcoal@users.sf.net>

	* #821 update ubuntu installation instructions.
	* update french and trad.chinese translations.
	* tweak TODO to ref github wiki.

2017-08-21  karl <charcoal@users.sf.net>

	* #791 add full-screen of current bible on F11.
	* make glosses default on.

2017-08-20  karl <charcoal@users.sf.net>

	* added MinimumVersion support:
	  ignore modules that require support newer than Sword itself.

2017-08-20  karl <charcoal@users.sf.net>

	* added -fno-delete-null-pointer-checks to stop stupid crash.
	  somebody please tell the gnu people that this is just plain wrong.
	* 4.0.6a release, Windows only.

2017-08-10  karl <charcoal@users.sf.net>

	* 4.0.6 release.

2017-08-10  karl <charcoal@users.sf.net>

	* correct signal connect ordering so initial move works.
	* fix #812 replace gtk_widget_set_size_request() with
	  gtk_window_set_default_size() because some freaks
	  want to build/run xiphos on truly midget screens (pocketCHIP).

2017-08-09  karl <charcoal@users.sf.net>

	* remove HAVE_GTK_xxx in favor of GTK_CHECK_VERSION (thx @yetist).
	* remove gtk version checks from wscript.
	* French translation updates (domcox).
	* fix webkit2 mis-display (thx @yetist).
	* preserve biblesync passphrase properly.

2017-06-04  karl <charcoal@users.sf.net>

	* fix return for wk2 search.

2017-06-25  karl <charcoal@users.sf.net>

	* add Alt-L toggle lemma.

2017-05-25  Peter von Kaehne <refdoc@crosswire.org>

	* remove all ImageMagick references.

2017-04-30  karl <charcoal@users.sf.net>

	* add View Xiphos Releases to Help menu.

2017-04-28  Dominique Corbex <dominique@corbex.org>

	* add Italian translation.

2017-04-23  karl <charcoal@users.sf.net>

	* 4.0.5 release.

2017-04-23  karl <charcoal@users.sf.net>

	* update win32 packaging.
	* fix lack of collator in mod.mgr on first run.
	* restore proper formatting of code in biblesync glue.

2017-02-06  karl <charcoal@users.sf.net>

	* readaloud: speak verse# per showversenum (audible matches visible).

2016-08-25  karl <charcoal@users.sf.net>

	* add Alt-T toggle transliteration.

2016-03-02  karl <charcoal@users.sf.net>

	* add pixmaps/screenshots directory, using images from sourceforge.
	* fix #749: annotation dialog tooltips.

2016-02-15  karl <charcoal@users.sf.net>

	* move to github: import source, add .gitignore & others, change
	  some text files to *.md names, update refs sourceforge->github.
	* delint a warning in parallel_view.cc.
	* add language abbrevs from IBT modules.
	* disable "match case" in searches when in clucene mode.

2016-01-13  karl <charcoal@users.sf.net>

	* change module lang sort from strcmp/strcoll to ICU ucol_strcollUTF8.

2015-08-30  karl <charcoal@users.sf.net>

	* 4.0.4 release.

2015-08-17  karl <charcoal@users.sf.net>

	* change language_set to grow dynamically, no limit.
	* improve abbrev support: use abbrev in parallel page, parallel
	  dialog/tab, main window non-Bible (comm/book/dict), bookmarks.
	* fixed module installation messages' display, so they're not lost.
	* update language abbreviations to eliminate more unknowns.
	* added gtk3 maximization detection.

2015-08-06  karl <charcoal@users.sf.net>

	* survivability fix: increase LANGSET_COUNT to 2000 (eBible repo).
	* updated French translation.
	* added Korean translation.
	* 4.0.3 release.

2015-06-15  karl <charcoal@users.sf.net>

	* fixed detached parallel "close" button visual overreach.
	* updated Slovenian translation (marjan savli).
	* add toolkit identifications to "about xiphos."
	* generic, all-purpose makeDistro.sh; deleted makeDistro3.sh.

2015-04-15  karl <charcoal@users.sf.net>

	* emergency fix mem alloc error in editor.
	* 4.0.2 release.

2015-03-29  karl <charcoal@users.sf.net>

	* 4.0.1 release.

2015-02-20  karl <charcoal@users.sf.net>

	* consequent to use of cppcheck, made many updates for efficiency,
	  scope reduction, and waste elimination.
	  cppcheck complains about many functions "never used," but this
	  is generally false, they are simply callbacks in gtkbuilder files.

2015-02-02  karl <charcoal@users.sf.net>

	* feat.req#204: merged webkit2 (webkit2gtk-4.0) changes.

2015-01-24  karl <charcoal@users.sf.net>

	* bug#524: immediate cause fixed long ago, but uncovered a
	  different bug in url.cc: no verse list for non-bible module.

2014-12-26  karl <charcoal@users.sf.net>

	* added support for Abbreviation conf directive:
	  module lists, parallel list, tab headings.
	* added deletion of obsolete modules when installing what supercedes.
	* added scanned deletion of obsolete modules on demand (i.e. audit).
	* added OSISGlosses module support.
	* additions to "about modules" display.
	* added OSISMorphSegmentation module support.

2014-12-24  karl <charcoal@users.sf.net>

	* 4.0.0 release.

2014-12-16  karl <charcoal@users.sf.net>

	* fixed gtk3 prefs->parallel->module selector geometry & filling.
	* fixed gtk3.14 failure to display prefs (gtk3 blows chunks).
	* added Free{Sans,Serif} fonts to the win32 installer.
	* gtkhtml: its very last vestiges are truly gone, gone, gone.
	* av11n: navbar blanked for unavailable content.
	* av11n: unavailable content in module pane results in
	  "This module has no content at this point."
	* av11n: re-worked navbar filling, now takes all books offered by
	  sword, no conditional on whether 1:1 content exists.
	* fixed "dump personal commentary" replacing "." with "..+".
	* avoided NTFS glitch by not making settings backup file.
	* fixed mod.mgr button bobble on expand/collapse of module tree
	  using a timer to reject too-soon calls (esp 1st-time user).
	* add --chatty configure flag to enable GS_* trace printfs.
	* changed all GS_* print macros to XI_*.
	* countless accommodations to gtk3.14 peculiarities.
	* fixed crash caused by null ptr in redisplay_to_realign().
	* unavailable content in 1-verse parallel: "no content" message.
	* save main window internal geometry on quit.
	* added support for OSISXlit and OSISEnum.
	* change default to on: grk accents, heb vowel points & cantillation.

2014-12-06  karl <charcoal@users.sf.net>

	* feat.req#133 + bug#508: alternate versification.
	  => creating test version 3.9.x for public review.

2014-12-05  karl <charcoal@users.sf.net>

	* bug#513: avoid "set insensitive" on "X" of tab being destroyed.

2014-12-04  karl <charcoal@users.sf.net>

	* put Feature=NoParagraphs to use.

2014-12-03  karl <charcoal@users.sf.net>

	* preserve the old CipherKey string when updating a module.

2014-11-29  karl <charcoal@users.sf.net>

	* feat.req#93: add default CSS for all displays.
	  caveat emptor. mis-use by the user will not be our fault.

2014-11-28  karl <charcoal@users.sf.net>

	* add xiphos.appdata.xml for the sake of advertising.
	* feat.req#110+111: manual updates.

2014-10-30  karl <charcoal@users.sf.net>

	* update CSS to find AbsoluteDataPath and include CSS by reference.
	* add verse list load from history.

2014-10-28  karl <charcoal@users.sf.net>

	* clean up defunct bits in settings.h.
	* module-specific CSS support, using conf directive
	  "PreferredCSSXHTML=style.css", naming a file in DataPath dir.

2014-10-26  karl <charcoal@users.sf.net>

	* biblesync 1.1.0 interface: speakerkey is now a 1st-class param.
	* add history pre-load from verse list.

2014-08-24  karl <charcoal@users.sf.net>

	* 3.2.2 release.

2014-08-24  karl <charcoal@users.sf.net>

	* (re-)add gui_generic_warning_modal() for wait-for-input warnings.
	* some additional GTK3 de-lint.

2014-08-15  terry  <tbiggs@users.sf.net>

	* adjusted initial size settings, don't cut off sidebar.

2014-08-09  terry  <tbiggs@users.sf.net>

	* gtk3 de-lint.

2014-06-09  karl <charcoal@users.sf.net>

	* fix f20 linty whine about printf-style args.
	* de-clutter biblesync prefs page.
	* statusbar feedback on BSP nav.
	* statusbar feedback for alt-[SRM].
	* remove doubled win32 name for BSP sender.

2014-06-06  karl <charcoal@users.sf.net>

	* 3.2.1 release.

2014-06-04  karl <charcoal@users.sf.net>

	* Fixed a lot of other BSP stuff over the last couple weeks, added
	  many features, uses new, separate prefs page, extricated into
	  independent library.
	* Fixed long-standing (decade-plus?) error in inconsistent use of
	  option name "Cross-references".  Wow.

2014-05-07  karl <charcoal@users.sf.net>

	* Fix network failure scheme: Reset mode properly, tell user.
	* Add ctrl-alt-shift-{O,P,S,A} to engage BibleSync:
	  off, personal, speaker, audience.

2014-05-05  karl <charcoal@users.sf.net>

	* 3.2.0 release.

2014-04-28  karl <charcoal@users.sf.net>

	* added initial BibleSync implementation.

2014-04-19  karl <charcoal@users.sf.net>

	* generalize companion in .conf: Companion=This,That,TheOther.
	  arbitrary number of companions. the 1st opens in main window,
	  any others in detached windows. requested in 2008 by Wycliffe,
	  to support "fast" (per verse) and "slow" (broad sectional)
	  commentaries.

2014-04-15  karl <charcoal@users.sf.net>

	* small formatting cleanup in settings.c.
	* removed user permission query for gconf handlers (bug 507).
	* removed middle-click on bookmark (bug 509).
	* unconditionalized chdir(sword_path) from DEBUG (bug 510).

2014-04-14  karl <charcoal@users.sf.net>

	* fix bad passage export structure failure-to-init and data bleed.

2014-04-10  karl <charcoal@users.sf.net>

	* added crash-avoidance test for null list in display_verse_list.

2014-04-03  karl <charcoal@users.sf.net>

	* added Alt-R for Red Words as well.

2014-03-01  karl <charcoal@users.sf.net>

	* added Alt-S/Alt-M kbd shortcuts for Strong's/morphology toggle.

2014-01-12  karl <charcoal@users.sf.net>

	* 3.1.6 release.

2014-01-12  karl <charcoal@users.sf.net>

	* copyright update.
	* deleted farsi *.chm.

2013-11-02  karl <charcoal@users.sf.net>

	* fix "Display" -> "display" typo necessities for bible dialogs.
	* correct export passage off-by-one chapter when including last verse.

2013-07-29  karl <charcoal@users.sf.net>

	* updates for far-too-late-in-the-game updates to renderText() etc.

2013-04-05  terry  <tbiggs@users.sf.net>

	* added webkit editor for studypad - requires gtk+3.0

2013-04-05  terry  <tbiggs@users.sf.net>

	* added two buttons to the export dialog
		<Refernce Last>
		<Include Version>
	* added file to store export dialog prefs and format
	  strings. .xiphos/export_copy.xml

2013-01-27  karl <charcoal@users.sf.net>

	* update gtk2/gtk3 changes to avoid excess #if use.

2013-01-25  greg <hellings@users.sf.net>

	* Fixed many of the GTK3 deprecation warnings.
	  Table->grid and color->rgba conversions are still needed.

2013-01-25  greg <hellings@users.sf.net>

	* Removed SWORD deprecated method warnings.

2013-01-08  greg <hellings@users.sf.net>

	* Add support for the brand new SFTP functionality in SWORD's SVN.

2012-12-15  karl <charcoal@users.sf.net>

	* delete dead/historic/useless KJV "&para;" (¶) handling.

2012-11-03  karl <charcoal@users.sf.net>

	* add dbus-daemon spawn for win32 (incomplete).
	* change IRC nick startup to use version+OS.
	* fix broken ubuntu gtk2 build by avoiding outdated gecko refs
	  and making sure webkit definitions remain (python indent sucks).

2012-10-07  karl <charcoal@users.sf.net>

	* add use of getRenderHeader() so that we get prototype XHTML style.

2012-10-05  karl <charcoal@users.sf.net>

	* strip out some more problematic unicode punctuation for Read Aloud.

2012-09-30  karl <charcoal@users.sf.net>

	* code simplification: remove gtkhtml3, once and for all.
	  we have committed to XHTML filters in Sword.  those filters
	  depend on <span>, which means that the gtkhtml3 backend is no
	  longer an option.  the world must catch up and deploy webkit.

2012-09-29  karl <charcoal@users.sf.net>

	* add "friendly" (month name) display in dict window for devotional.
	* remove last of NO_SWORD_SET_RENDER_NOTE_NUMBERS from display.cc.

2012-09-26  karl <charcoal@users.sf.net>

	* add save/restore of prefs, adv.search, and mod.mgr.

2012-09-23  karl <charcoal@users.sf.net>

	* convert from HTMLHREF to XHTML filter sets.

2012-09-18  karl <charcoal@users.sf.net>

	* added Greg's patch for HTTP & HTTPS install sources.

2012-08-20  karl <charcoal@users.sf.net>

	* fix #3522395 chdir(sword-path) to stop inadvertent strrchr() use.

2012-08-22  karl <charcoal@users.sf.net>

	* bind Alt-A to annotate verse, analogous to Alt-B for bookmark verse.
	* change daily devotional date display to "friendly" (i.e. month name).
	* adv.search: move "optimized" selection to top.

2012-08-20  karl <charcoal@users.sf.net>

	* add <sup>strongs/morph</sup> giving smaller, less obtrusive font.

2012-08-15  karl <charcoal@users.sf.net>

	* remove "old bookmarks"/"gnode" (dead) code.

2012-08-11  karl <charcoal@users.sf.net>

	* add ability to open pers.comm and journals in non-editor windows.

2012-03-18  karl <charcoal@users.sf.net>

	* add OSISVariants support.

2012-02-19  karl <charcoal@users.sf.net>

	* 3.1.5 release.

2012-02-18  karl <charcoal@users.sf.net>

	* remove wscript's svn version. temp-hack makeDistro.sh configuration.
	* add code to handle *XHTML filters, and to restore post-process n=X
	  if Sword has not been updated.

2012-02-14  karl <charcoal@users.sf.net>

	* big code simplification to avoid overuse of #ifdef USE_GTKBUILDER.
	  (UI_GET_ITEM & UI_SUFFIX in src/gui/utilities.h.)
	* add per-module option so user can choose setRenderNoteNumbers().

2012-02-09  karl <charcoal@users.sf.net>

	* fix a bunch of USE_GTKMOZEMBED -vs- USE_XIPHOS_HTML glitches.
	* use setRenderNoteNumbers() from recent Sword update.

2012-02-06  karl <charcoal@users.sf.net>

	* put "general" prefs at top of dialog.
	* correct "Open" (was "Save As") in slib-editor.

2012-02-05  karl <charcoal@users.sf.net>

	* correct horrific excess RenderText() usage during footnote naming.

2012-01-30  karl <charcoal@users.sf.net>

	* put module name inside font spec of 1-verse Parallel View display.
	* be much (yet trivially) smarter about saved x/y coordinates.

2012-01-15  karl <charcoal@users.sf.net>

	* integrated mwtalbert's WIN32 image patch with modifications,
	  including disabling WIN32 users' access to resize preference.

2012-01-12  karl <charcoal@users.sf.net>

	* patch around new webkit WIN32 lack of "file:" in <img src="...">.
	* fix verse-per-line display glitch in webkit.
	* substitute GTK_STOCK_ADD for image name, because that image
	  seems not to exist in all GTK installations.

2012-01-10  karl <charcoal@users.sf.net>

	* missing verse anchor + current verse <hr> to commentary by chapter.

2011-12-19  karl <charcoal@users.sf.net>

	* added Ctrl-[1-9] to select Nth tab.
	* lengthened history from 25 to 40.
	* apply proper font specs to adv.search display.
	* vastly simplified font size references (one calculation, many refs).
	* alter bible context boundary: vv.1,2 anchored at chapter beginning.
	* eliminate context boundary when base font size is large.
	* only bible texts get green current verse in full-chapter parallel.

2011-12-12  karl <charcoal@users.sf.net>

	* Mark__T's splash fixes.

2011-11-26  karl <charcoal@users.sf.net>

	* apply proper font to modules' About boxes, to correct for
	  different X servers' (e.g. "non-free" nVidia's) very peculiar
	  choices for default font interpretation.
	* also for Previewer re-init during fore/background switch.

2011-11-19  karl <charcoal@users.sf.net>

	* Mark__T's gtk pre-2.20 compatibility patch.

2011-10-20  karl <charcoal@users.sf.net>

	* Mark__T's changes for tab "new" and "close" buttons.

2011-10-13  karl <charcoal@users.sf.net>

	* fixed erroneous comm -vs- book display during font size change.

2011-10-02  karl <charcoal@users.sf.net>

	* added (in|ex)clusion option for verse#s in copy/export.

2011-09-24  terry  <tbiggs@users.sf.net>

	* Added scroll bars to adv search previewer for webkit build

2011-09-24  karl <charcoal@users.sf.net>

	* darker green current verse.
	* re-arrange prefs->options display order.
	* feat.req #3168708 more tweaks to export format, mostly single-verse.
	* add Ctrl-0 to force base font size to 0.
	* make footnotes, xrefs, and headings default to On.

2011-09-24  terry  <tbiggs@users.sf.net>

	* customization improvement: single line of verse# selectors.

2011-09-20  karl <charcoal@users.sf.net>

	* fix #3411260 add gconf to wscript for explicit detection.
	* tidy up passage export whitespace formatting; correct an html error.
	* fix #3384710 bad sidebar search implicit AND construction.
	* fix #3400041 correct startup previewer show-or-not.
	* feat.req #3210164 verse number display customization.

2011-09-02  karl <charcoal@users.sf.net>

	* avoid crash due to deleted module ref in <parallels> list.
	* update export: re-work a lot of options stuff; eliminate dialog
	  sensitivity; make license query dialog happen once with
	  permanent modops memory so we never ask again.

2011-08-14  karl <charcoal@users.sf.net>

	* do away with 1-verse context in full-chapter parallel window.

2011-08-03  karl <charcoal@users.sf.net>

	* pass parallel texts and previewer through AnalyzeForImageSize.
	* avoid "widowed" verse numbers by forcing connection to 1st word with &nbsp;.

2011-07-09  karl <charcoal@users.sf.net>

	* several RtoL fixes: HTML_START and comm-by-chapter verse output order.

2011-06-30  terry  <tbiggs@users.sf.net>

	* fixed studypad to honor 'settings.studypaddir'

2011-06-29  karl <charcoal@users.sf.net>

	* resurrect functioning bookmark xml functions.
	* eliminate dead "removed bookmarks" code.
	* copyright update.
	* tidy up "about xiphos" window.
	* add content flush right after startup to avoid webkit black flash.

2011-06-27  Terry Biggs  <tbiggs@users.sf.net>

	* add gtkbuilder files to install.
	* resurrect gtkhtml3.
	* fix #3166491 now able to open studypad, pers.comm., and journal.
	* Fedora15 compatibility (warnings elimination).

2011-06-25  karl <charcoal@users.sf.net>

	* add base font respect to parallel view tab and detached parallel window.
	* silence a few warnings.
	* fix #3302253 update manual, re: parallel view tab configuration.
	* use correct highlight for found words in webkit.
	* fix black adv.search results.
	* dispose of as much "gdk font" stuff as possible.
	* correct font selection order: module pref, language pref, conf pref.
	* adjust macro readability in xiphos-html.h.
	* stop black flash on tab change.
	* ignore button-2 in webkit.

2011-06-20  Terry Biggs  <tbiggs@users.sf.net>

	* fixed the double display in the chapter displays
	* added scrollbars to webkit in the following files:
	  * src/gnome2/about_modules.c (gui_create_about_modules):
	  * src/gnome2/bibletext_dialog.c (gui_create_bibletext_dialog):
	  * src/gnome2/commentary_dialog.c (gui_create_commentary_dialog):
	  * src/gnome2/dictlex_dialog.c (gui_create_dictlex_dialog):
	  * src/gnome2/gbs_dialog.c (gui_create_gbs_dialog):

	* committed work on gtkbuilder and webkit done by
	   Greg and Terry

2011-05-15  karl <charcoal@users.sf.net>

	* fix #3302627 undo module cache damage to pers.comm. update.

2011-04-06 terry <tbiggs@users.sf.net>

	* EDIT: fix -> work on :)
	* fix link handling - webkit
	* fix popup menus  - webkit
	* fix printing - webkit

2010-11-06  karl <charcoal@users.sf.net>

	* fix handling of real n="X" content for notes/xrefs.

2010-10-15  karl <charcoal@users.sf.net>

	* 3.1.4 release.

2010-10-14  karl <charcoal@users.sf.net>

	* commentary verse#s.

2010-10-03  karl <charcoal@users.sf.net>

	* fix #3077109 sidebar search crash when no commentary available.
	* fix #3077178 Crash on shutdown when paratab selected
	* fix #3077179,3077180,3077181 stop empty module crashes

2010-08-21  karl <charcoal@users.sf.net>

	* correct longstanding misspelling s/hight/height/g throughout.
	  includes some minor fallback for finding settings via old names.

2010-08-20  karl <charcoal@users.sf.net>

	* restore detached parallel window existence+placement+geometry.
	* make Strong's lemma:Gxyz references get highlighted in preview.
	* provide for non-verse list key references in PL/J linkages.

2010-08-17  karl <charcoal@users.sf.net>

	* move ReadAloud, resizing logic, and related functions to
	  src/gnome2/utilities.c.

2010-08-14  karl <charcoal@users.sf.net>

	* be less sensitive about NASB for Heb/Grk lexicon choice ("NASBnew").
	* fix string free bug in header note caching.
	* clean up previewer.cc: use of HtmlOutput, restructure, fix comments.
	* add Preferences color pair inversion, main/highlight text.
	* more & better tooltips in Preferences.

2010-08-10  karl <charcoal@users.sf.net>

	* keep note/xref count accurate => engine always generates headings.
	  displaying them is a later decision in display.cc.

2010-08-04  karl <charcoal@users.sf.net>

	* fix 2 heinous "interrupted search" bugs in adv.search.
	* reformat an ugly multi-?: conditional for readability.
	* set optimized/lucene search as default.

2010-08-03  karl <charcoal@users.sf.net>

	* add counting of footnote *n markers.
	* for mozembed, replace <table> with <span> for verse highlight.

2010-07-27  karl <charcoal@users.sf.net>

	* fix #3022383 mod.mgr crash by creating 2nd iterator/end pair.
	* fix #3027370 check for regular file type in file discovery.
	* fix #3022385 add debug assist for can't-happen display_mod null.

2010-06-01  karl <charcoal@users.sf.net>

	* add Cult/Unorthodox category to modlists.
	* also Glossaries, to separate them from the rest of the dictionaries.

2010-05-31  karl <charcoal@users.sf.net>

	* add intro dialogs for lucene and attribute choices in Adv.Search.

2010-05-30  karl <charcoal@users.sf.net>

	* fix #2849660 prevent crash by insisting on minimum pane sizes.

2010-05-27  karl <charcoal@users.sf.net>

	* fix #2997121 xulrunner failure to jump to anchor.

2010-05-20  karl <charcoal@users.sf.net>

	* create option for bible xrefs to use verse list or previewer.

2010-05-16  karl <charcoal@users.sf.net>

	* make <img> work in gtkhtml3 parallel windows by connecting
	  "url_requested" signal.

2010-05-13  karl <charcoal@users.sf.net>

	* generalize bookmark import (default still bibletime).

2010-05-07  karl <charcoal@users.sf.net>

	* make newly-installed modules able to be indexed immediately.

2010-04-30  karl <charcoal@users.sf.net>

	* make File menu New PL/J item sensitive to PL/J enable.

2010-04-19  karl <charcoal@users.sf.net>

	* add prefs item: highlight user annotations, when marking *u?

2010-04-17  karl <charcoal@users.sf.net>

	* add auto-unlock offer on locked module with no key.
	* revamp a bunch of code consequent to this.

2010-04-12  karl <charcoal@users.sf.net>

	* feat.req #2928849 support arbitrary # of parallel texts.

2010-04-08  karl <charcoal@users.sf.net>

	* feat.req #1994953 Fine tune display settings - make doublespace
	  a per-module option, and step down previewer font size 1 notch.
	* move Verse Per Line from main menu and prefs to context menu only.

2010-04-05  karl <charcoal@users.sf.net>

	* made mod.mgr intro viewable on demand. also mod.mgr hotkeys.
	* feat.req #2717893 item 1, add "new PL/J" menu to main File menu.

2010-04-03  karl <charcoal@users.sf.net>

	* implemented usage side of per-language preferred font.
	* implemented font picker for per-language preference.
	* improved special locale selector so multis work (pt_PT + pt_BR).

2010-04-01  karl <charcoal@users.sf.net>

	* removed all #ifdef SWORD_MULTIVERSE.

2010-03-26  karl <charcoal@users.sf.net>

	* fix #2977026 Search export to html should set content type to UTF-8.

2010-03-24  karl <charcoal@users.sf.net>

	* fix #2889661 replace keycode interpretation with keysyms.
	* feat.req #2873363 Shortcut/hotkey for simple/sidebar searches.
	* feat.req #2582195 start xiphos with a particular tabs file.
	* invert defaults: paragraph style and previewer in sidebar.

2010-03-22  karl <charcoal@users.sf.net>

	* 3.1.3 release.

2009-03-16  karl <charcoal@users.sf.net>

	* feat.req #2791621 change tooltip on sync button for clearer meaning.

2009-03-15  karl <charcoal@users.sf.net>

	* fix #2936311 provide direct sword:// as well as via verse list.

2009-03-14  karl <charcoal@users.sf.net>

	* fix #2918463 xiphos crash due to zero-length settings: recreate.
	* fix #2941684 correct read-aloud sense of smallcaps "LORD" (& "GOD").

2009-03-13  karl <charcoal@users.sf.net>

	* introduce sync_windows() and stop_window_sync flag as a fix to
	  the problem of universal sync not working.

2009-03-12  karl <charcoal@users.sf.net>

	* add #name capability for footnote-specific navigation
	  (e.g. sword://NETnote/Gen1:2#n13).

2010-01-02 matthew <ransom1982@users.sourceforge.net>

	* make copy to clipboard smart for html

2010-01-02 dima <dmitrijledkov@users.sourceforge.net>

	* lots of waf fixes

2009-12-28  karl <charcoal@users.sf.net>

	* fix #2922262 update dict pane when base font changes.

2009-12-24  karl <charcoal@users.sf.net>

	* 3.1.2 release.
	* updates to src/gnome2/Makefile.am: distribution tarball sanity.

2009-12-19  karl <charcoal@users.sf.net>

	* change freenode webchat to use $USER (g_get_user_name()).

2009-12-14  karl <charcoal@users.sf.net>

	* preferences locale list: display language names, not xx_YY.
	* fixed <div align=(right|left)> problem.

2009-12-14 simon<DrMeers@users.sourceforge.net>

	* fixed tab bug -- closing tab B focused tab A, but cur_passage_tab
	  got set to tab C!

2009-12-04 simon<DrMeers@users.sourceforge.net>

	* fixed window title bug -- changing modules in the sidebar treeview
	  updated window title to _previous_ module, because
	  gui_change_window_title used tab settings prior to update

2009-12-04 matthew<ransom1982@users.sourceforge.net>
	   simon<DrMeers@users.sourceforge.net>

	* new book icons for module list to better match colors
	* improved rendering for icons
	* rtol icons for module lists

2009-12-04 matthew<ransom1982@users.sourceforge.net>

	* de-gnome menus and as many other functions as possible
	* add option to waf to build without gnome

2009-12-02 matthew<ransom1982@users.sourceforge.net>

	* removed display_mgr from backend
	* delay starting search backend

2009-11-28 matthew<ransom1982@users.sourceforge.net>

	* added code to use libgsf to archive files
	* small improvements to Windows file finding
	* module manager optimizations

2009-11-18 terry <tbiggs@users.sourceforge.net>

	*added search results and verse lists to exporter

2009-11-12  karl <charcoal@users.sf.net>

	* improve search word color marking slightly, so that wildcard-
	  matched roots get colored.

2009-11-10 terry <tbiggs@users.sourceforge.net>

	* add bookmark exporter.

2009-11-04  karl <charcoal@users.sf.net>

	* Ensure mod.mgr always has a proper icon.

2009-10-27  karl <charcoal@users.sf.net>

	* Resurrect verse number color selector in preferences.
	  Also removed some defunct enums, unused for years.

2009-09-30  karl <charcoal@users.sf.net>

	* add gui_init() calls to settings_init() to ensure that gnome/gtk
	  are ready if we should need any dialogs.
	* add static status variable to gui_init() so it happens just once.

2009-09-21  matthew<ransom1982@users.sourceforge.net>

	* change Windows to use ShellExecuteW instead of gnome_show_url
	* new function xiphos_open_default to open anything on any platform
	* change help menu to point to new location for chm files on Windows
	* added linkbutton hook so that linkbuttons (in about dialogs) would
	   work on Windows

2009-09-21  karl <charcoal@users.sf.net>

	* move gconf_setup() to gui_init() where it belongs.

2009-09-12  karl <charcoal@users.sf.net>

	* feat.req #2813476 Interface localization (prefs->options)

2009-09-06  karl <charcoal@users.sf.net>

	* correct re-appearing remote ftp source for delete-then-load-standard.
	* fix #2825898 Search triggers show-up of markers in Preview
	  (by accurately detecting within/without html constructs).
	* consequently removed <a></a> elimination code as well.
	* corrected gtk store error for prayerlist (lacking -1 terminator).
	* avoid widget destroy whine for null widget.
	* fix #2813891 lose comm name from tab when un-Viewed.
	* address #2798255 with a manual update.
	* also mention Load Standard button for module manager.
	* fix #2797805 added a word: Show/Hide _Attached_ Sidebar.
	* feat.req.#2190241 add Enter key support for bookmarks,
	  annotations, mod.mgr remote sources.
	* feat.req #2797789 Open pane for activated resource (sidebar.cc)

2009-09-05  karl <charcoal@users.sf.net>

	* 2nd shot at CrossWire as default remote repo, requiring rather a
	  lot of other code re-factoring due to the interdependence of the
	  1st-time user's mod.mgr vis-a-vis existence of settings.xml data.

2009-09-03  karl <charcoal@users.sf.net>

	* add intro dialog box to first-time mod.mgr usage.
	* re-work the entire locale-setting mechanism.
	* force CrossWire as default remote repo after load-standard.

2009-09-01  karl <charcoal@users.sf.net>

	* fix #2841441 per verse annotation - localized reference
	* implied a bunch of other stuff:
	  - convert <markedverses> to <osisrefmarkedverses> on init.
	  - move locale init inside backend ctor.
	  - localize *u refs for previewer, per bug report.
	  - parse in osisref form.
	  - dispose of bogus ".xiphos-2.0" dir rename (historic from
	    very old .gnomesword-2.0 needs).

2009-08-31  karl <charcoal@users.sf.net>

	* remove devotionals from "lookup selection" menus.
	* correct null key pointer in sword.cc debug message.

2009-08-21  karl <charcoal@users.sf.net>

	* ensure a bit of whitespace between strong's elements when
	  they repeat.  they can get bunched up on top of each other
	  too easily.
	* fix another blocking nightmare: some modules (ABP) contain
	  bogus sequences like <seg><hi><seg><hi>word</hi></seg></hi></seg>.
	  this results in doubling, <i><i>word</i></i>.  the block
	  renderer gets unhappy when it mis-analyzes termination by
	  finding the inner </i> as though it were the termination of
	  the outer <i>.  so if we find we have an internal set of
	  <i></i>, we simply wipe them to spaces, and try again.
	  ugh.
	* apply patch by andrew anderson, to respect showversenum in the
	  passage exporter.  some additional mods beyond his basic patch.

2009-08-20 matthew <ransom1982@users.sourceforge.net>

	* fix #2825281 Sidebar/Regular Expression search: not finding all matches

2009-08-17  karl <charcoal@users.sf.net>

	* change main window title per actually-displayed modules.
	  (echoes tab module choice; borrows same code.)

2009-08-15  karl <charcoal@users.sf.net>

	* fix #2803614 Search in unpointed Hebrew not working, by ensuring
	  that all vowel points & accents are turned off in modules and
	  search strings.

2009-08-13  karl <charcoal@users.sf.net>

	* implemented glib null string detection skeleton.  enabled as part of DEBUG.

2009-08-10 terry <tbiggs@users.sourceforge.net>

	* added ui/editor_link_dialog.xml, editor/link_dialog.c and
	  editor/link_dialog.h
	* added New menu item and button to studypad (slib-editor)
	* added Delete menu item and button to note editor (slib-editor)

2009-08-09  karl <charcoal@users.sf.net>

	* 3.1.1 release.

2009-08-07  karl <charcoal@users.sf.net> and matthew <ransom1982@users.sourceforge.net>

	* solve headaches of tab switch redisplay management.

2009-07-30  karl <charcoal@users.sf.net>

	* make mozembed genbook widget realize before filling.

2009-07-29 matthew <ransom1982@users.sourceforge.net>

	* fix #2819999 custom range not working.
	* fix #2816143 show/hide sidebar geometry changes.

2009-07-29 terry <tbiggs@users.sourceforge.net>

	* add relief to versekey navbar b/c/v buttons.
	* fix #2800991, remove sidebar Bible nav (eliminate nav right-click).

2009-07-28  karl <charcoal@users.sf.net>

	* fix #2797262 freakish european keycodes for +/- on font size change.
	* fix #2800932 failure to re-draw any of the panes' text.

2009-07-21  karl <charcoal@users.sf.net>

	* bullet-proof settings.c atoi() calls.

2009-07-03  karl <charcoal@users.sf.net>

	* experiment with inverting highlight sense for user annotation.
	* correct test order for annotation -vs- highlight to guarantee
	  a valid annotation pointer (truly, i hate corner cases.)

2009-07-02 terry <tbiggs@users.sourceforge.net>

	* fix bugs #2815605 and #2815612 Cross reference in seperate window
	  change module of main one.
	* fix bugs #2801515 Adding a child to the root of journal causes problems

2009-07-02 terry <tbiggs@users.sourceforge.net>

	* fix bug #2813865 Deleting middle tab makes problem for first one

2009-06-25  karl <charcoal@users.sf.net>

	* user-annotation (verse markup).

2009-06-23  karl <charcoal@users.sf.net>

	* google maps reference from mouse selection.

2009-06-21  karl <charcoal@users.sf.net>

	* remove old module install workaround:
	  don't pre-delete a module being updated: ~30% faster result.
	  (workaround formerly needed for old sword InstallMgr bug.)

2009-06-20  karl <charcoal@users.sf.net>

	* sk.po (slovak) thanx to Zdenko Podobný <zdposter@gmail.com>.

2009-06-19  karl <charcoal@users.sf.net>

	* replace mibbit (no longer usable) w/freenode's own webchat.

2009-06-06  karl <charcoal@users.sf.net>

	* fix #2797731 minor edits for consistent names, View menu.

2009-05-31  karl <charcoal@users.sf.net>

	* fix preverse headers with Strong's info (KJV beta).

2009-05-27  karl <charcoal@users.sf.net>

	* feat.req #2797304 hotkey for right-click (bible pane only).
	* feat.req #2795770 ctrl-f4 to delete the current tab.

2009-05-26 terry <tbiggs@users.sourceforge.net>

	* removed old navbar code
	* added --enable-treeview_path option to configure.in

2009-05-24  karl <charcoal@users.sf.net>

	* fix #2777165 Opening aplication doesn't bring it to previous place.
	* added support for non-anonymous repository use.

2009-05-23  karl <charcoal@users.sf.net>

	* tweaked #2789990 for no context in very small windows.
	* added support for master repo list at crosswire.
	* feat.req #2795758 title bar change for det.sidebar.

2009-05-17  karl <charcoal@users.sf.net>

	* 3.1 release.

2009-05-17  karl <charcoal@users.sf.net>

	* correct huge memory leaks in g_list_free() use.
	* also other memleaks...valgrind is a harsh task master.

2009-05-16  karl <charcoal@users.sf.net>

	* fixed #2792569 clamp x/y position values to reasonable values.

2009-05-15  karl <charcoal@users.sf.net>

	* fixed #2789990 consistent display when en/disabling comm/dict.
	* feat.req #2792002 add kbd shortcut ctrl-T to open a new tab.

2009-05-13  karl <charcoal@users.sf.net>

	* feat.req #2789973 smaller default size of dialog windows.
	  (for the sake of really small screens e.g. XO.)
	* feat.req #2789998 same modops for both main & dialogs.
	* properly disable double-space from View menu in gtkhtml3.

2009-05-12  karl <charcoal@users.sf.net>

	* fixed #2790711 first run - tabs not parsed successfully
	* fixed #2790487 save editor changes on exit
	* fixed #2789879 view-context disturbs parallel tab

2009-05-11 matthew <ransom1982@users.sourceforge.net>

	* updated manual in preparation for release

2009-05-11 terry <tbiggs@users.sourceforge.net>

	* fixed bug #2783271 Parallel View tab moves to bottom of window

2009-05-11 matthew <ransom1982@users.sourceforge.net>

	* fixed #2737136 Headings problem in detached window

2009-05-07  karl <charcoal@users.sf.net>

	* correct index type of module cache map for proper string use.
	* fixed #2788398 chapter above 127 can't be navbar-selected.

2009-05-04  karl <charcoal@users.sf.net>

	* fixed #2785952 "about" on empty comm -> crash
	* fixed #2784883 archive crash due to wrong destination

2009-05-02  karl <charcoal@users.sf.net>

	* fixed #2781508 no "open file" modlist when pers.comm open.

2009-04-26  karl <charcoal@users.sf.net>

	* kill off remaining cygwin support.
	* make multi-bookmarks not open-able in new tab or dialog.
	* fixed #2781318 gtkhtml adv.search needs preview scrollbar.

2009-04-26 matthew <ransom1982@users.sourceforge.net>

	* add icons to dialogs
	* added ReadAloud for Windows
	* added back printing for Windows

2009-04-23  karl <charcoal@users.sf.net>

	* correct a spacing glitch in absence of strongs/morph.
	* correct a failure of .conf-spec'd font size in det.parallel.

2009-04-22 terry <tbiggs@users.sourceforge.net>

	* feat.req #2717893, part 2 done

2009-04-17  karl <charcoal@users.sf.net>

	* removed a bunch of dead code re: OLD_CODESET and defunct utf8ification.

2009-04-15  karl <charcoal@users.sf.net>

	* fixed #2764410 Segfault in commentary view window.

2009-04-09  karl <charcoal@users.sf.net>

	* applied veritos' patch: make verse highlight align with strongs/morph.
	* feat.req #2717893, #3 & #4: open ed. w/closed keys; better dflt names.

2009-04-06 terry <tbiggs@users.sourceforge.net>

	* removed GtkHTML38 support.
	* removed gnomeprint dependency from configure.in.

2009-04-04  karl <charcoal@users.sf.net>

	* feat.req.#2705145 add j/k for verse up/down (dup of ^n/^p).

2009-04-03  karl <charcoal@users.sf.net>

	* fixed bug #2704655 history glitches

2009-04-03  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2704651 genbook tab, show Bible doesn't show navbar

2009-04-02  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2704666 gtkhtml build 'Hold shift to lock previewer' does not work

2009-03-27  karl <charcoal@users.sf.net>

	* fix verse list double-click to use main_url_handler().
	* fix failure to check for module in parallel tab.
	* add dbl-clk to give About content in mod.mgr.

2009-03-26  terry <tbiggs@users.sourceforge.net>

	* added verse range to copy/export dialog

2009-03-25  terry <tbiggs@users.sourceforge.net>

	* changed export dialog to Copy/Export dialog
	* added single bookmark per module results save to search dialog

2009-03-24  karl <charcoal@users.sf.net>

	* clean up parallel display routines in parallel_view.cc:
	  remove #ifdef'ing, put SWBuf to use, single output. cleaner.

2009-03-20  karl <charcoal@users.sf.net>

	* change bookmark click to use verse list rather than to navigate.
	* change verse list save to offer single bookmark save.
	* modify bookmark click to auto-navigate single verses but use
	  verse list for multiples.

2009-03-19  karl <charcoal@users.sf.net>

	* enable InvStrongsRealGreek lemma lookup when "stype" is not
	  present.  bad side effect is that we don't handle Hebrew lemmas,
	  but right now there are no Hebrew modules with lemmas, so, eh. :-)
	  this lookup is imprecise due to InvStrongsRealGreek being
	  imprecisely ordered, consequent to diacriticals not sorting well.

2009-03-14  karl <charcoal@users.sf.net>

	* alter adv.search to provide for warning when downgrading from
	  lucene search to multi-word search, including resetting back
	  to lucene search for each module searched.

2009-03-13  terry <tbiggs@users.sourceforge.net>

	* added -Werror -Wall to build

2009-03-13  terry <tbiggs@users.sourceforge.net> and karl <charcoal@users.sf.net>

	* lots of de-linting due to experimental -Wall -Werror use.

2009-03-09  terry <tbiggs@users.sourceforge.net>

	* added <save> button to editors main toolbar
	* seperated bonobo editor (old) and slib editor (new) into two files
	* removed editor/html-editor.c and editor/html-editor.h
	* added editor/bonobo-editor.c and editor/bonobo-editor.h
	* added editor/slib-editor.c and editor/slib-editor.h


2009-03-08  karl <charcoal@users.sf.net>

	* add gtk event-clearing on recompute_shows so that tab changes
	  get image sizes computed correctly.
	* also remove crufty display.cc:mod_use_counter[] hack -- seems
	  no longer necessary, once we've done the event clear.

2009-03-07  terry <tbiggs@users.sourceforge.net>

	* replaced main menu (gnome) with gtk menu.
	* replaced ui/popups.glade with ui/xi-menus.glade which contains
	  the main menu and the module popups.
	* main window is now a gtk window.
	* there is one gnome function left in main_menu.c
	  gnome_help_display() in on_help_contents_activate() line 119.

2009-03-06  karl <charcoal@users.sf.net>

	* turn off "modal" property for mod.mgr: normal work can continue
	  while long downloads and indexing goes on.

2009-03-03  terry <tbiggs@users.sourceforge.net>

	* added gmodule-export-2.0 PKG_CHECK_MODULES(GNOME,.....) in
	  configure.in so Ubuntu will work with new popups.

2009-03-01  terry <tbiggs@users.sourceforge.net>

	* replaced gnome popup menus with gtk menus for bibletext, commentary
	  dict/lex and gbs in the main window and in dialogs
	* added files ui/popups.glade, gui/menu_popup.h and gnome2/menu_popup.c
	* fixed bug #2599921 Copy fails in detached windows

2009-02-25  terry <tbiggs@users.sourceforge.net>

	* work on bug #2599921 Copy fails in detached windows
	  fixed for Bible and Commentary dialogs

2009-02-19  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2585744 In 2.4, back and forward buttons segfault.
	* History buttons work with tabbed browsing turned off.

2009-02-18  karl <charcoal@users.sf.net>

	* 3.0.1 release.

2009-02-15  karl <charcoal@users.sf.net>

	* add transliteration.
	* disable transliteration for WIN32 pending ICU integration.

2009-02-14  karl <charcoal@users.sf.net>

	* fix #2593915 - crash on menuitem in detached bible window

2009-02-08  karl <charcoal@users.sf.net>

	* 3.0.0 release.

2009-02-06  terry <tbiggs@users.sourceforge.net>

	* added prayerlist/journal editor stuff to gtkhtml editor

2009-02-05  terry <tbiggs@users.sourceforge.net>

	* fixed double navbar
	* added note editor stuff to gtkhtml editor still need to add
	  prayerlist/journal stuff.

2009-02-05  karl <charcoal@users.sf.net>

	* fix logic to add extra mod.mgr remote sources.
	* retired 6 horribly out-of-date translations.

2009-02-03  karl <charcoal@users.sf.net>

	* fix gconf key replacement logic for "xiphos".
	* add trivial gnomesword2 script to re-direct users.
	* add Henry Garcia's Xiphos.ogg pronunciation sound sample.

2009-01-31  karl <charcoal@users.sf.net>

	* generalize sword_uri's use of show_in_previewer to any lexdict.
	* add --enable-autoclear to choose previewer content transient-ness.

2009-01-30  karl <charcoal@users.sf.net>

	* replace URLs gnomesword.sf.net -> xiphos.sf.net.

2009-01-29  terry <tbiggs@users.sourceforge.net>

	* remove files ui/editor_note_WIN32.xml & ui/editor_studypad_WIN32.xml
	  which are not used

2009-01-29  karl <charcoal@users.sf.net>

	* replace previous trunk content with that of branches/2.4.x.
	* change name to xiphos.
	* intermediate version stamp change, to 2.4.99, until 3.0 release.

2009-01-24  terry <tbiggs@users.sourceforge.net>

	* replace add local source dialog w/new gtk style - gnome2/mod_mgr.c
	* fisrt run at removing main_url_handler_gecko
	* fixed bug #2532349 mozembed doesn't respect default dictionary

2009-01-23  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2474005 Genbooks do not allow navigation from address bar

2009-01-18  karl <charcoal@users.sf.net>

	* lots of ugly mod.mgr hacking, trying to rectify not handling
	  showing what's installed in system area (/usr/share/sword).
	* mod.opt, alter respect for internal font faces (bad Galaxie fonts).

2009-01-17  karl <charcoal@users.sf.net>

	* integrate Troy's patch for SWORD_MULTIVERSE (dv11n).
	* small modifications to accommodate InstallMgr access requirements.

2009-01-17  terry <tbiggs@users.sourceforge.net>

	* added show_in_previewer() to main/url.cc to display
          module links (sword://<module>/<key>) in the previewer
         (only WebstersLinked at the moment)

2009-01-14  terry <tbiggs@users.sourceforge.net>

	* previewer can now be diaplayed on the sidebar
	* started work on tabbed parallel view
	* added gui/parallel_tab.h and gnome2/parallel_tab.c
	* added <Show Parallel View in a tab> and
          <Show Previewer in the Sidebar> items to the <View> menu
	* you need to configure with --enable-paratab to try both of
          these changes.

2009-01-12  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2486766 Mozembed Parallel View doesn't respect cross-refernce
	* Parallel opts now are stored and used on next start.
	* added context menu to detached parallel view

2009-01-03  karl <charcoal@users.sf.net>

	* fix a default font respect problem in parallel views.
	* fix #2486769 parallel right-click->copy does nothing.
	* tweak initial repo ordering and spelling and directory.

2008-12-31  karl <charcoal@users.sf.net>

	* re-work extra repos' init so they don't interfere with first run.

2008-12-29  karl <charcoal@users.sf.net>

	* implement commentary view by chapter, instead of just by verse.

2008-12-28  karl <charcoal@users.sf.net>

	* re-arrange help functions so that just one compiles in.
	* make image auto-resize default to on.
	* fix #2471807 gtkhtml previewer font not respected.
	* fix #2471830 wrong bible navigation, from wrong tab.
	* fix configure.in to do preliminary check for gtkhtml3-devel.

2008-12-28  matthew <ransom1982@users.sourceforge.net>

	* fixing print issues.
	* use PACKAGE_BUGREPORT for gnome_url_show().
	* perl script to sic on any win32 .exe to prevent console window.
	* win32 icon attachment.

2008-12-28  terry <tbiggs@users.sourceforge.net>

	* fixing print issues.
	* fixed bug #2471811 Bookmarks do not work for user-created modules

2008-12-27  karl <charcoal@users.sf.net>

	* tweaks to support externally-launched http:// links.
	* modifications to improve clarity of configure failures.

2008-12-13  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2430285 gtkhtml parallel view issues

2008-12-20  karl <charcoal@users.sf.net>

	* adv.search: auto-create 1st sample modlist from available bibles.
	* avoid empty genbook language group when no genbooks but a prayer
	  list exists.
	* make sure settings.book_mod is assigned when picking a genbook.
	* fix det.parallel "(null)" (bad typo from eons ago).
	* cosmetic updates to prefs dialog (per domcox some time ago).

2008-12-18  karl <charcoal@users.sf.net>

	* mod.mgr hackery: untangle /usr/share/sword & ~/.sword.
	* replace ImageMagick's "identify" with C++ API interface
	  (except in win32 where the per-image libs are a problem).

2008-12-16  karl <charcoal@users.sf.net>

	* add new GnomeSword repo for first-time users.
	* fix mod.mgr object leaks.
	* add GnomeSword's own bin dir to $PATH.
	* change single- to double-quotes in popen(3) strings.
	* cope with win32's stupid O_BINARY necessity for images.
	* remove generated editor-related files from EXTRA_DIST.

2008-12-16  matthew <ransom1982@users.sourceforge.net>

	* fix #2423950 + #2416023 local install glitches.

2008-12-14  karl <charcoal@users.sf.net>

	* add an "edit" pixmap beside "open studypad".
	* fix #2412580 Indexing Gnomesword-created modules fails
	  by disabling the capability for journals/prayer lists
	  (Sword bug -- mkfastmod fails too).

2008-12-13  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2423941 Printing, then navigating genbook causes crash
	* fixed bug #2413029 Printing User Created Modules ignores markup

2008-12-13 matthew <ransom1982@users.sourceforge.net>

	* added help menu items for mailing list and irc chat
	* added the F1-F4 shortcuts to the appropriate menu items
	* added a manual section on original language research

2008-12-11  terry <tbiggs@users.sourceforge.net>

	* fixed printing in studypad
	* hid print menu items in WIN32 - I hope

2008-12-10  terry <tbiggs@users.sourceforge.net>

	* fixed studypad open and save as dialogs

2008-12-10  karl <charcoal@users.sf.net>

	* configure against gtk_widget_set_tooltip_text() for older
	  systems (e.g f7).
	* set up #ifdef'd symbols for keysyms (linux/win32) to restore
	  keyboard shortcuts.
	* enable gnome_url_show() on WIN32 for separate image viewing.

2008-12-09  karl <charcoal@users.sf.net>

	* win32-specific hack, to cd to gnomesword's own dir.
	* add sidebar-vs-dialog sensitivity to html markup wipe.
	* disable Edit->Copy for now -- no supporting function.
	* fixed sidebar search crash when re-starting running search.
	* fix double-click failure to update verse navbar.
	* (mwtalbert) add tooltips to mod.mgr column headers.
	* new "indexed" icons for mod.mgr from simon meers.
	* add find/stop toggle to sidebar search.

2008-12-08  terry <tbiggs@users.sourceforge.net>

	* fix #2385811 Gnomesword crashes on attempted studypad sync

2008-12-08  karl <charcoal@users.sf.net>

	* re-order mod.mgr columns (push index + locked icons to the right).
	* no "installed" checkmarks in Maintenance pane.
	* wipe out html markup in previewer mark_search_words() to avoid
	  inadvertent match marking of html-internal content.

2008-12-05  karl <charcoal@users.sf.net>

	* new general pixbuf finder, #ifdef-compatible with linux and win32.

2008-11-29  karl <charcoal@users.sf.net>

	* fix #2384287 Uninstalling current Bible module causes crashes.

2008-11-29  peter <refdoc@users.sf.net>

	* add chm files.

2008-12-01  karl <charcoal@users.sf.net>

	* "Open in dialog" => "Open in a separate window".
	* "Verse style" => "Verse Per Line".
	* disable ReadAloud from all menus for WIN32.
	* get rid of remove/restore bookmarks option (unknown).
	* change .sword location to be under $ALLUSERSPROFILE.
	* limit exporter to only chapter and verse (no book).
	* add Personal/System indicators on mod.mgr Configure pane.
	* change name gnomesword2 => gnomesword.
	  no more name distinction based on toolkit support.
	* fix gconf keys automatically.
	* kill off all remains of drag-n-drop with #if 0.
	* add ../share/gnomesword to gui_general_user_file().
	* add testament-level subscripting of the module cache, to get rid
	  of the icky arithmetic that is sensitive to 39+27 canon.
	* disable all printing for cygwin and win32.

2008-11-29  karl <charcoal@users.sf.net>

	* fix #2264199 Long custom Module lists make search gui too wide.
	* remove need for '+' ("AND") syntax in simple sidebar search.

2008-11-25  terry <tbiggs@users.sourceforge.net>

	* mostly fixed bug 2264209 Scrolling to next/previous chapter no
	  longer works - scrolling down works - scrolling up skips a chapter
	  or two at times - only works for gtkhtml builds - never worked for
	  mozembed so I hide the option in the prefs dialog for mozembed builds

2008-11-24  dom <domcox@users.sourceforge.net>

	* improved support for XULRunner / Firefox 3 backend
	* fixes #2334366 Building fails with xulrunner-1.9

2008-11-23  karl <charcoal@users.sf.net>

	* migrate all hand-crafted yes/no dialogs to gui_yes_no_dialog().
	* re-order create_dialog_alert() buttons to a normalized order.
	* check for NULL char* in GS_message, html-editor.c.
	* add #ifdef WIN32 sensitivity for SWORD_PATH and HOME values.

2008-11-22  karl <charcoal@users.sf.net>

	* fix len append bug in ncr_to_utf8.
	* auto-set newly-created source as current.

2008-11-21  karl <charcoal@users.sf.net>

	* replace mmap() with stdio calls in main_init_language_map().
	* add #ifdef WIN32 sensitivity: mkdir() with 1 or 2 args.
	* remove wait(2) from url.cc: use pclose() the proper way.
	* add #ifdef WIN32 sensitivity: ReadAloud() matters.
	* add #ifdef WIN32 sensitivity: HOME (linux) -vs- APPDATA (win32)
	* replace utilitics.c:ncr_to_utf8 with working code.
	* add '&' to html.c's g_strdelimit() string.

2008-11-13  karl <charcoal@users.sf.net>

	* Add the repository identifier to the install panel of mod.mgr.
	* Integrate blocked strongs/morph into GTKEntryDisp (cf. Didache).
	* Tighten up module usage in display.cc re: typecasts and so forth.
	* No more special case for ISBE.

2008-11-12  karl <charcoal@users.sf.net>

	* fix #2264276 excess characters in double-click dict lookup
	  (Matthew Talbert's update).
	* add Matthew's *.glade updates for accessibility properties
	  to facilitate UI testing framework.

2008-11-05  karl <charcoal@users.sf.net>

	* 2.4.1 release.

2008-11-05  karl <charcoal@users.sf.net>

	* add Matthew Talbert's code (with mods) to toggle the Find button
	  in Advanced Search between Find and Stop during actual search.
	* fix printing initialization error in display.hh.

2008-11-02  karl <charcoal@users.sf.net>

	* add F[1234] kbd shortcuts: help, prefs, adv.search, mod.mgr.

2008-10-31  karl <charcoal@users.sf.net>

	* automatic font defaults per configuration file specification.
	  xyz.conf can hold "Font=Linux Libertine" and "Fontsize=+1" and
	  we will respect that properly in all contexts.
	* companion modules: "Companion=OtherModule" in .conf causes
	  an offer to open that module as well.  intended mostly for use
	  with related Bibles and commentaries e.g. NET + NETnote.

2008-10-27  karl <charcoal@users.sf.net>

	* completely re-work mod.mgr lockout logic.
	  also a bunch of cosmetic updates in mod_mgr.c.

2008-10-26  karl <charcoal@users.sf.net>

	* stop infloop: no custom range allowed for non-{bible,commentary}.

2008-10-25  karl <charcoal@users.sf.net>

	* make ^F able to search more than bible text:
	  based on window visibility: bible first, but if not visible,
	  then commentary/genbook, and if not that, then dictionary.
	* add search result highlight in advanced search preview using
	  previewer.cc's mark_search_words() [had to expose it via .h]
	* manual updates to reflect unlocking method and new ^F semantic.

2008-10-23  karl <charcoal@users.sf.net>

	* replace fixed use of ImageMagick "display" with list of
	  potential/preferred image viewing systems.

2008-10-18  karl <charcoal@users.sf.net>

	* fix lack of intermediate path mkdir in prayerlist creation.

2008-10-17  karl <charcoal@users.sf.net>

	* basic Solaris compatibility.  gtkhtml3 only so far:
	  - null pointers are not nice in stdio.
	  - Solaris' old sed doesn't support \(this\|that\|other\)
	  - use a different yet still standard set of arrow images.

2008-10-08  karl <charcoal@users.sf.net>

	* no more perm/success/failure dialogs for gconf setup.
	* disable gconf setup entirely for cygwin.

2008-09-21  karl <charcoal@users.sf.net>

	* 2.4.0 release.

2008-09-20  karl <charcoal@users.sf.net>

	* re-fix #2105812 -- avoid premature MainWindowModule setting.

2008-09-13  terry <tbiggs@users.sourceforge.net>

	* fixed bug #2105812 main navbar wrongly loaded when switching

2008-09-08  karl <charcoal@users.sf.net>

	* add cygwin special case to handle languageMap encoding of
	  "Korean" (braindamage in cygwin pango package).

2008-09-03  karl <charcoal@users.sf.net>

	* add "Help -> About Translation"
	* update copyright years all over the place.
	* update adv.search image for manual.

2008-09-01  karl <charcoal@users.sf.net>

	* fix #2084401 Problem compiling with xul-1.9 (gecko.m4 update).
	* a bunch of RELEASE-NOTES text, early prep for 2.4.

2008-08-31  karl <charcoal@users.sf.net>

	* fix #2079930 Strongs Hebrew/Greek numbers don't lookup
	* enable prayer list support by default.

2008-08-29  karl <charcoal@users.sf.net>

	* fix #2069455 module deletion not reflected
	* fix #2069476 sorting by module name

2008-08-23  karl <charcoal@users.sf.net>

	* fix erroneous non-linked tab labels on startup.

2008-08-18  karl <charcoal@users.sf.net>

	* convert "pinned tabs" to "linked tabs".
	* improved some phrasing in src/gnome2/about_sword.c.

2008-08-16  karl <charcoal@users.sf.net>

	* add Ctrl-Plus/Ctrl-Minus to change base font size.

2008-08-13  karl <charcoal@users.sf.net>

	* adjust but not fix for #2036800 journal name only accepts English.

2008-08-09  terry <tbiggs@users.sourceforge.net>

	* quick fix for bug: #2040344 module manager needs to lock left panel
	  does not lock left panel, but keeps gs from crashing.
	* fixed bug: 2040347 adv.search can't clear results

2008-08-06  karl <charcoal@users.sf.net>

	* update some Adv.Search headers for better clarity.

2008-08-03  karl <charcoal@users.sf.net>

	* fix mem alloc bug in genbook display book name handling.

2008-08-02  terry <tbiggs@users.sourceforge.net>

	* build w/Exporter by default

2008-08-02  karl <charcoal@users.sf.net>

	* 2.3.6 release.

2008-07-31  karl <charcoal@users.sf.net>

	* add manual section on journals/prayer lists.

2008-07-30  karl <charcoal@users.sf.net>

	* fix #2033166 limit Preferences' comboboxes category contents.

2008-07-27  karl <charcoal@users.sf.net>

	* add 7700+ languages from a SIL page referencing ISO standard.
	* re-work main_init_language_map() to use an external file in
	  ui/languages, and absorb it through mmap().

2008-07-25  dom <domcox@users.sourceforge.net> & karl <charcoal@users.sf.net>

	* move locale-specific language name strings into sword.cc, to be
	  no longer locale-translatable.
	* add another general outlined topic under prayer lists & journals.

2008-07-23  karl <charcoal@users.sf.net>

	* minor cleanup of module loading and treeview setup.
	* silence complaint about char/gchar auto-conversion (gtkhtml).

2008-07-19  karl <charcoal@users.sf.net>

	* mod.list generation: alphabetize languages everywhere.
	* provide for cancelling a search.  (gross hack: done using the
	  Close key, which still makes search window disappear.)
	  - hack improved: use Find as both start/stop (see tooltip).
	* deleted the unmaintained german manual.

2008-07-17  karl <charcoal@users.sf.net>

	* mod.list generation: avoid pointless strdup; norwegian hack.
	* horrid but useful strcmp()-avoidance optimization in mod.list
	  generation.

2008-07-15  karl <charcoal@users.sf.net>

	* prayer list reconstruction:
	  - stop crash caused by mkdir failure, due to no genbooks.
	  - totally rework creator logic to avoid duplicated code.
	  - set prayerlist Lang= from sword_locale.
	    (you are editing in your own native language, right?)
	  - restructure periodic PLs/journals.
	  - add full-year daily journal.
	  - change Prayer List to Prayer List/Journal in all mod.lists.

2008-07-13  karl <charcoal@users.sf.net>

	* update Norwegian list classifications.
	* reworked excess/duplicate languageMap crud from backend
	  (sword_main.cc & module_manager.cc): moved to main/sword.cc.
	* tweaked module categorization so first_time_user gets one list.

2008-07-11  karl <charcoal@users.sf.net>

	* make genbook bookmarks use the key string, not a numeric offset.
	* create separate mod.mgr lists for updated and uninstalled mods.

2008-07-10  karl <charcoal@users.sf.net>

	* when devotionals open, ensure they have a MM.DD key.

2008-07-09  karl <charcoal@users.sf.net>

	* fix bug, adv.search: deleted module trips custom list usage.

2008-07-08  karl <charcoal@users.sf.net>

	* move nav keys: Ctrl-n/p (verse), n/p (chapter), N/P (book).
	* better wording on parent/child book navbar buttons.

2008-07-06  karl <charcoal@users.sf.net>

	* feat.req #1991842 pers.comm suggestions:
	* hotkey open on Alt-Z
	* location navigation hotkeys: Alt-PageUp/PageDown: verse nav
	  Alt-Home/End: chapter nav    Alt-Ctrl-Home/End: book nav
	* (these may all need to be looked at again for better placement.)
	* attach the correct sync button to the pers.comm editor.
	* cosmetic twiddles for bible description headings in display.cc.
	* widen navbar book spinner slightly -- it was getting cut off.

2008-07-04  karl <charcoal@users.sf.net>

	* for images/maps/devotionals, remove from otherwise-native lists.
	* fix #1973928 key entry not saved in .conf
	* cleanup of some cipher key ick.

2008-07-02  karl <charcoal@users.sf.net>

	* 2.3.5 release.
	* remove gtkhtml-editor.h from editor/Makefile.am.  (problem?)

2008-07-02  dom  <domcox@users.sourceforge.net>

	* fix Ubuntu build problem based on gecko name.

2008-06-25  karl <charcoal@users.sf.net>

	* avoid infloop when adv.search open and user hits xref link.

2008-06-12  karl <charcoal@users.sf.net>

	* don't display 0:0 and n:0 unless headings are turned on.

2008-05-30  karl <charcoal@users.sf.net>

	* fix #1977884 GS_StringMgr crash on attribute search

2008-05-27  karl <charcoal@users.sf.net>

	* fix #1973933 per-module font size not respected in parallel view tab.

2008-05-26  karl <charcoal@users.sf.net>

	* 2.3.4 release.

2008-05-22  karl <charcoal@users.sf.net>

	* robustify NASB special-case H123!a handling.
	* hack-fix "Smith & Van Dyke" not to use '&'.
	* replace a bunch of 1-char strstr() with strchr().

2008-05-10  karl <charcoal@users.sf.net>

	* update release notes, tweak manual regarding fonts.
	* more #1863160 efficiency: commentary dialogs.
	  we now have full cache usage of bibles & commentaries.

2008-05-08  karl <charcoal@users.sf.net>

	* fix #1863160 efficiency: full module cache usage, only for
	  commentaries -- lexdicts & genbooks wouldn't gain much from it.

2008-04-23  dom  <domcox@users.sourceforge.net>

	* fix failures with gcc 4.2.3 (Ubuntu HH -8.04)

2008-04-21  terry <tbiggs@users.sourceforge.net>

	* added <Save As> item to studypad file menus.
	* added <Export Passage> to Bible pane popup menu.
	* added export passage dialog - this requires a '--enable-exporter'
	  switch for ./configure and ./autogen.sh
	* added files
		/main/export_passage.cc
		/main/export_passage.h
		/gnome2/export_dialog.c
		/gui/export_dialog.h
		/ui/export-dialog.glade

2008-03-29  karl <charcoal@users.sf.net>

	* fix (part of) #1928119: failures with gcc 4.3

2008-03-28  terry <tbiggs@users.sourceforge.net>

	* FIXED: bug #1915596 text in preview window clears if mouse enters bible view
	  shift keys now lock previewer until mouse is moved into previewer.

2008-03-27  terry <tbiggs@users.sourceforge.net>

	* added 'General->Misc->Enable paryer list' option to preferences_dialog
	* removed --enable-prayer_list switch from configure.in
	* FIXED: 2nd part of bug #1906647 Showing Commentary Pane

2008-03-22  karl <charcoal@users.sf.net>

	* fix #1923337 respect module fonts in detached parallel view.

2008-03-18  karl <charcoal@users.sf.net>

	* fix unknown saved remote source when entering mod.mgr.

2008-03-14  terry <tbiggs@users.sourceforge.net>

	* commit prayer list work - needs much testing
	  and tweaking.

2008-03-07  terry <tbiggs@users.sourceforge.net>

	* FIXED: bug #1906644 Personal Commentary Quotes
	* Removed Persistent file stuff from editor menus

2008-03-06  terry <tbiggs@users.sourceforge.net>

	* FIXED: bug #1906651 New Document not working in studypad.
	* NOT FIXED: bug #1747281 2.3: can't drag-n-drop from adv.search

2008-03-03  karl <charcoal@users.sf.net>

	* re-fix #1864007 NASB's lexicon refs need adjustment, this time
	  based on DM's actual test release -- should be final (I hope).

2008-02-23  terry <tbiggs@users.sourceforge.net>

	FIXED: bug 1747281 2.3: can't drag-n-drop from adv.search I think

2008-02-18  terry <tbiggs@users.sourceforge.net>

	* mod mgr now remembers the settings on the configure page

2008-02-11  dom <domcox@users.sf.net>

	* window minimum size reduced from 800x480 to 800x425,
	  thus allowing gs to run on an eeepc.

2008-02-08  karl <charcoal@users.sf.net>

	* fix failed farsi numeric glitch in src/main/sidebar.cc.

2008-01-21  karl <charcoal@users.sf.net>

	* finish fix of pri/sec/all reading apparatus.

2008-01-20  karl <charcoal@users.sf.net>

	* 2.3.3 release.
	* correct part of the pri/sec/all reading apparatus (incomplete).

2008-01-19  karl <charcoal@users.sf.net>

	* updated manual for forthcoming 2.3.3 release.
	* updated boundary anchor logic to accommodate strong+morph better.
	* fix glitch caused by display.cc dialog integration last week.

2008-01-16  karl <charcoal@users.sf.net>

	* fix #1872525 Fix build errors with gcc-4.3
	* restructure and simplify readability of HtmlOutput.
	* solve gtkhtml3 side of "first display of genbook is blank".

2008-01-15  karl <charcoal@users.sf.net>

	* restructured a lot of display.cc to use common HTML output code.
	* turned off Read Aloud from all menus on Cygwin.

2008-01-14  karl <charcoal@users.sf.net>

	* added Image Content selectability: detect images' presence,
	  show right-click menu option to disable it.
	  (partially a workaround for failure to display images in
	   gtkhtml3 bibles -- problem not understood yet.)
	* formatting changes throughout, as other work continued.

2008-01-12  karl <charcoal@users.sf.net>

	* stop several memleaks in mod.mgr
	* restructure mod.mgr to use SWMgr more correctly.
	* fix mod.mgr use of local sources.
	* bunch of cosmetic crud in mod_mgr.*.
	* add to RELEASE-NOTES, anticipating 20 january.

2008-01-11  karl <charcoal@users.sf.net>

	* restore missing gtkhtml bible dialog code.
	* in mod.mgr, change Old/New to Installed/Available.

2008-01-10  karl <charcoal@users.sf.net>

	* feat.req #1869036 need farsi numerals

2008-01-04  karl <charcoal@users.sf.net>

	* round module sizes to nearest M or k.
	* fix #1864007 NASB's lexicon refs need adjustment

2007-12-30  karl <charcoal@users.sf.net>

	* tweak InstallSize display in unknown case.
	* stop a couple small memleaks;
	* update hard-coded NASB lexicon names.  (but will these remain?)

2007-12-29  karl <charcoal@users.sf.net>

	* feat.req #1860685 mod.mgr show InstallSize from *.conf

2007-12-27  karl <charcoal@users.sf.net>

	* fix #1860365 lemma display hack is very poor
	* correct HAVE_STRCASESTR typo

2007-12-26  karl <charcoal@users.sf.net>

	* 2.3.2 release.
	* update some general text files.
	* generalize strcasestr solution beyond cygwin (e.g. solaris).

2007-12-25  karl <charcoal@users.sf.net>

	* don't turn off imageresize just because one image failed.
	* announce image resize failure only once per display, not per image.
	* fit gconf intro text into smaller box.
	* change from offset to key string in adv.search (offset drops core).
	* fix #1747281: search drag-n-drop fails; use main_url_encode(key).

2007-11-22  karl <charcoal@users.sf.net>

	* locale names updated for chamorro.

2007-11-01  karl <charcoal@users.sf.net>

	* fix #1824138: no defined lexdict in subwindow causes
	  either crash (U-GG) or g_log() complaints (Fedora).

2007-10-18  karl <charcoal@users.sf.net>

	* pick up 2.2 translator addition for about_gnomesword.c.
	* impose a "string greater than" semantic on version comparison in
	  gnome2/mod_mgr.c so as to not be bothered by old versions at
	  secondary repos.

2007-10-14  karl <charcoal@users.sf.net>

	* 2.3.1 release.

2007-10-08  karl <charcoal@users.sf.net>

	* fix morph word ordering in verseBefore/After.

2007-10-08  dom <domcox@users.sf.net>

	* fix buffer-overrun of GS crash by avoiding swbuf flaws.

2007-10-06  karl <charcoal@users.sf.net>

	* fix empty string bug induced by prev.fix to stringmgr.

2007-09-30  karl <charcoal@users.sf.net>

	* subsume getZeroContent() into getVerseBefore(), trying to
	  debug a crash believed to involve the stringmgr.

2007-09-29  karl <charcoal@users.sf.net>

	* use new Sword setMorphFirst() in text display.
	* update manual: search details + updated screenshots.

2007-09-26  karl <charcoal@users.sf.net>

	* correct previewer link color on book references.

2007-09-22  karl <charcoal@users.sf.net>

	* make multiword-vs-lucene search explicit, without auto-promotion
	  (but possible demotion, lucene->multiword, in absence of index).
	* fix #1800106: Crash when searching.

2007-09-20  karl <charcoal@users.sf.net>

	* push sidebar search strings past a leading non-alpha char.

2007-09-17  karl <charcoal@users.sf.net>

	* stop inadvertent hebrew match on greek lemma.
	* add "Robinson" as an acceptable morph ref.
	* include ops->lemmas as part of strongs &&/|| morph.

2007-09-17  karl <charcoal@users.sf.net>

	* hack on OSISLemma stuff for the sake of Osk's beta Tisch.

2007-09-16  karl <charcoal@users.sf.net>

	* update morph output for tidiness: lowercase; no breakable spaces.
	* update morph/strong's to preserve ()<> for gtkhtml3.
	* update getZeroContent(), block_render content (esp. Grk modules).

2007-09-11  karl <charcoal@users.sf.net>

	* add Maps and Images to module lists (sidebar, mod.mgr).

2007-09-10  karl <charcoal@users.sf.net>

	* update hex decoding so that module descriptions don't show %2F.

2007-09-09  karl <charcoal@users.sf.net>

	* fix #1781816-4: click to get "about" in gtkhtml3 build.

2007-09-05  karl <charcoal@users.sf.net>

	* tweak display.cc for a 1st guess on widget size for images.

2007-09-04  karl <charcoal@users.sf.net>

	* update RELEASE-NOTES + interface.xml in preparation for 2.3.

2007-08-31  karl <charcoal@users.sf.net>

	* make double-space conditional on USE_GTKMOZEMBED.

2007-08-29  karl <charcoal@users.sf.net>

	* make a proper link in the manual to the repos page.
	* add a gtkhtml3/mozembed comparison image to the manual.
	* fix #1783315: Footnotes in verse 0 not shown.

2007-08-28  karl <charcoal@users.sf.net>

	* fix #1783300: locale names are out of date

2007-08-26  karl <charcoal@users.sf.net>

	* consistency in #if usage for find_dialog.c.

2007-08-25  karl <charcoal@users.sf.net>

	* bug #1781816 #1: recover the parallel view right-click menu.

2007-08-22  karl <charcoal@users.sf.net>

	* integrate cygwin strcasestr() from 2.2.
	* use correct #ifndef for gtkhtml/gecko in find_dialog.c.
	* incorporate an img src prefix fix from 2.2.
	* attempt to generalize to gtkhtml3 the "big blob" gecko fix of
	  SysTheo, so as to address e.g. ISBE "genealogy" (96kbyte entry) --
	  seems to be a bug in recent pango; cygwin was already fine with it.

2007-08-21  karl <charcoal@users.sf.net>

	* add utf-8 spec to about_modules.c.
	* integrate mouse-selected read aloud (carry forward from 2.2).

2007-08-20  karl <charcoal@users.sf.net>

	* fixed #1744400: edit->find...doesn't
	* update english manual image files.

2007-08-15  karl <charcoal@users.sf.net>

	* update a missed fix 2.2->2.3 to prevent genbook atoi() core.

2007-08-05  karl <charcoal@users.sf.net>

	* change Alt-B to give bookmark dialog (Ctrl-L focuses verse text).
	* add Alt-P to detach/re-attach parallel view dialog.
	* avoid main_has_search_framework()'s core per scribe's suggestion.

2007-08-05  dom <domcox@users.sf.net>

	* fix bug 1743304: keyboard shortcuts are not working

2007-07-31  karl <charcoal@users.sf.net>

	* fix bug 1764758: strongs on -> numbers verbalized
	* fix bug 1764758: integrate 2.2 fix, avoid reading [, ], & *.
	* move one g_message to GS_message.

2007-07-29  dom <domcox@users.sf.net>

	* sidebar search fix: text in upper case or multiple occurances
	of the same word were not highlighted in the previewer.
	(multi-word & phrase search types)

2007-07-28  dom <domcox@users.sf.net>

	* i18n cleanup (end) : navbar

2007-07-28  dom <domcox@users.sf.net>

	* i18n cleanup (part of) : display

2007-07-27  dom <domcox@users.sf.net>

	* i18n cleanup (part of) : module_manager

2007-07-25  dom <domcox@users.sf.net>

	* i18n cleanup (part of) : backend

2007-07-14  terry <tbiggs@users.sourceforge.net> + karl <charcoal@users.sf.net>

	* repair karl's stupidity about first-time user mod.mgr -vs-
	  a backend which doesn't exist during first-time user mod.mgr.

2007-07-13  karl <charcoal@users.sf.net>

	* reap children spawned by image display.

2007-07-10 dom <domcox@users.sf.net>

	* fixed bug 1744418: bad display of grk result in adv.search

2007-07-08  karl <charcoal@users.sf.net>

	* for highlight, force highlight_fg on verse number.

2007-07-07  karl <charcoal@users.sf.net>

	* added a manual section on gtkhtml3 -vs- MozEmbed.
	* fixed bug 1749534: failed footnote access in josephus.

2007-07-06  terry <tbiggs@users.sourceforge.net>

	* fixed bug 1677234: right-click Yelper crash

2007-07-04  karl <charcoal@users.sf.net>

	* added Daily Devotionals to module listings.
	* roughly doubled module listing performance.
	* disabled GOK timeout in gecko-html.cpp to kill warnings.

2007-07-02  karl <charcoal@users.sf.net>

	* changed "URL" to "Host" in mod.mgr Sources -> Add.
	* updated about_gnomesword.c for copyright & website.
	* configure.in change to build with gtkhtml instead of
	  gtkmozembed.  (but there are gecko dependencies.)

2007-07-01  karl <charcoal@users.sf.net>

	* feat.req 1620313: refuse duplicate install source being added.
	* implement index deletion.
	* manual updates to reflect lucene indexing, incl. image updates.

2007-06-30 terry <tbiggs@users.sourceforge.net>

	* fixed bug 1743789: 2.3: transient note/xref is not transient
	* implement indexing progress bar.

2007-06-30  terry <tbiggs@users.sourceforge.net> + karl <charcoal@users.sf.net>

	* mod.mgr: change pane names, "install/update" and "maintenance"
	* also swap top 2 panels, configure and sources.

2007-06-29  karl <charcoal@users.sf.net>

	* feat.req 1711360: lucene indexing.

2007-06-28  karl <charcoal@users.sf.net>

	* bug 1729936: unused configure flags should go away
	  (only --enable-sword_svn was removed, the rest are needed.)
	* feat.req 1703135: display 0:0 & n:0

2007-06-27  karl <charcoal@users.sf.net>

	* fixed bug 1744444: 2.3: blocked strongs fails NASB Eph 5:31

2007-06-26  karl <charcoal@users.sf.net>

	* fixed bug 1743785: 2.3: loss of per-module font in <table>
	* fixed bug 1685243: 2.3: stuck trying to display SysTheo

2007-06-22  karl <charcoal@users.sf.net>

	* aggressive update to get rid of per-usage #ifdef
	  around g_message and friends.  now use GS_message
	  and double-paren the arg list (to make it a single
	  arg to the GS_message macros).

2007-06-19  karl <charcoal@users.sf.net>

	* fix per-tab show state so as not to act like pinned tabs.

2007-06-18  karl <charcoal@users.sf.net>

	* change panel show state to per-tab.
	* eliminate last of the "setup cancel" logic.

2007-06-12  karl <charcoal@users.sf.net>

	* updates to manual for base font size, and to document that we
	  plan no solution to the global install problem.

2007-06-11  terry <tbiggs@users.sourceforge.net>

	* added base font size to previewer and parallel view

2007-06-10  terry <tbiggs@users.sourceforge.net>

	* added doublespace support to previewer

2007-06-09  terry <tbiggs@users.sourceforge.net>

	* added main/sword.cc main_refresh_all

2007-06-08  karl <charcoal@users.sf.net>

	* back half of implementation of base font size.
	* front half in ui/prefs.glade and pref dialog.
	* re-worked font name+size usage to minimize excess specification.

2007-06-06  karl <charcoal@users.sf.net>

	* fixed bug #1731993: splash enabled by default.

2007-05-31  karl <charcoal@users.sf.net>

	* updated German translation, from Eicke Godehardt.

2007-05-25  terry <tbiggs@users.sourceforge.net>

	* redid navbar_treekey so spin button arrows show

2007-05-22  terry <tbiggs@users.sourceforge.net>

	* fixed bug #1723478 opening studypad causes gs to crash

2007-05-01  terry <tbiggs@users.sourceforge.net>

	* added new navbar to parallel dialog
	  added gui/navbar_treekey_parallel.h
	  and   gnome2/navbar_treekey_parallel.c

2007-05-01  karl <charcoal@users.sf.net>

	* tweaked html-editor.c, OLD_NAVBAR history button sensitivity.

2007-04-30  terry <tbiggs@users.sourceforge.net>

	* fixed bug #1708829 crash on opening note editor
	* started work on a prayer list
	  added gnome2/prayer_list.c and gui/prayer_list.h
	  added main/prayer_list.cc and main/prayer_list.h

2007-04-27  dom <domcox@users.sf.net>

	* Norsk Bokmål (nb_NO) translation by harald@thingelstad.org added

2007-04-27  terry <tbiggs@users.sourceforge.net>

	* committed work around for bug #1708829 crash on opening note editor

2007-04-26  karl <charcoal@users.sf.net>

	* fixed modulecache header invalidation bug.

2007-04-24  terry <tbiggs@users.sourceforge.net>

	* fixed bug #1706475 no genbooks + genbook navbar => crash
	* added support for gtkhtml-3.14

2007-04-07  terry <tbiggs@users.sourceforge.net>

	* fixed bug #1695949 Gnomesword crashes on startup: segfault in backend -
	  applied patch from maurerpe.

2007-03-31  terry <tbiggs@users.sourceforge.net>

	* added new navbar to bible and commentary dialogs

2007-03-29  terry <tbiggs@users.sourceforge.net>

	* added navbar_versekey


2007-03-25  karl <charcoal@users.sf.net>

	* 2.2.3 release.

2007-03-23  karl <charcoal@users.sf.net>

	* add a block of release notes.

2007-03-22  karl <charcoal@users.sf.net>

	* Add Ctrl-F to invoke Bible text "find".

2007-03-20  karl <charcoal@users.sf.net>

	* manual updates, reflect 2.2.3: archive/rename/dump of pers.comm.
	* make the inability to rename under Cygwin obvious to the user.

2007-03-19  karl <charcoal@users.sf.net>

	* fix bug #1681135 Module manager crashes Gnomesword on startup.

2007-03-18  karl <charcoal@users.sf.net>

	* fix egregious book selection bug in module cache.

2007-03-16  karl <charcoal@users.sf.net>

	* feat.req #1631815: open single-image window on click
	  (depends on Sword lib "<a href>" enhancement.)
	* updates to the module cache, to cache preverse headers.

2007-03-15  dom <domcox@users.sf.net>

	* added StringMgr, a class which provides string handling
	  functions, for utf-8 support if icu is disabled in sword

2007-03-13  karl <charcoal@users.sf.net>

	* implemented module cache for display performance improvement:
	  no need to keep re-accessing Sword itself when display options
	  are not changing; keep a cache of HTML-ready text.

2007-03-08  karl <charcoal@users.sf.net>

	* feat.req #1633426: implement block-render of strongs/morph.

2007-03-06  karl <charcoal@users.sf.net>

	* feat.req #1633407: implement pers.comm dump, rename, archive.

2007-03-05 terry <tbiggs@users.sf.net>

	* fixed bug #1674149 unable to save verse lists

2007-03-04  dom <domcox@users.sf.net>

	* fixed bug #1673598: cannot search Personal for non-ascii chars

2007-02-24  dom <domcox@users.sf.net>

	* fixed bug #1667954: modules missing in advanced search (i18n bug, affects some translations)

2007-02-24  karl <charcoal@users.sf.net>

	* stop hurting 64bit by playing pointer/int games in settings.c.

2007-02-22  karl <charcoal@users.sf.net>

	* fixed detached parallel view infloop in Rev 22.
	* restructured parallel view code to cache modnames and fontsizes.
	* work around Sword installmgr bug, in installing updated module,
	  by deleting the current version before obtaining the new one.
	* updated manual: interface screenshots + modmgr & search updates.

2007-02-21  karl <charcoal@users.sf.net>

	* added testament-detecting use of Packard -vs- Robinson morph.

2007-02-15 terry <tbiggs@users.sf.net>

	* added attribute search page to advanced search dialog
	  now for a strongs search you only need to enter if the
	  strongs number as G4443

2007-02-14 terry <tbiggs@users.sf.net>

	* bumped to 2.3.0 for development branch
	* switched commentary dialog to gecko
	* switched dictionary dialog to gecko
	* switched genbook dialog to gecko
	* dictionary and genbook dialogs need menus

2007-02-13 terry <tbiggs@users.sf.net>

	* switched about_module dialog to gecko
	* switched bibletext dialog to gecko

2007-02-05 terry <tbiggs@users.sf.net>

	* moved right to left text display to gtkhtml

2007-01-31 terry <tbiggs@users.sf.net>

	* fixed bug #1648806 Cannot add local module source directory.

2007-01-30  karl <charcoal@users.sf.net>

	* moved sidebar buttons to top of sidebar.

2007-01-30  karl <charcoal@users.sf.net>

	* moved sidebar buttons to top of sidebar.

2007-01-29 terry <tbiggs@users.sf.net>

	* fixed bug #1645989 newly-defined install source unavailable

2007-01-28 terry <tbiggs@users.sf.net>

	* fixed bug #1646579: sidebar search, no bounds => crash

2007-01-27 terry <tbiggs@users.sf.net>

	* created a development branch

2007-01-26  karl <karl@charcoal.com>

	* update configure.in for version 2.2.1 at -r1480.
	  touchups to RELEASE-NOTES.

2007-01-25  Dominique Corbex <domcox@users.sourceforge.net>

	* fixed bug #1643716: non UTF-8 chars with libsword built without icu

2007-01-25  terry <tbiggs@users.sf.net>

	* feature #1633397: shortcut: focus text cursor to verse bar

2007-01-25  karl <karl@charcoal.com>

	* fixed adv.search attribute by adding MATCHWHOLEENTRY iff search
	  string begins with Word//Lemma/.
	* fixed tab history update when tabs are pinned, so as only to add
	  entries for the current tab, rather than replicating them in all
	  tabs.  makes for a performance boost, too.
	* updated RELEASE-NOTES in anticipation of 2.2.1.
	* updated manual for keyboard shortcuts.

2007-01-24  terry <tbiggs@users.sf.net>

	* fixed bug #1643623: pers.comm. editor loses <tokens> on re-edit

2007-01-24  karl <karl@charcoal.com>

	* fixed bug #1642835: TTS unavailable: Connection refused
	* fixed bug #1640907: long verse history -> pulldown-select fails

2007-01-23  karl <karl@charcoal.com>

	* fixed bug #1642603: loading a tab set leaves GS confused

2007-01-21  karl <karl@charcoal.com>

	* feature #1193235: Allow text to be displayed double space.
	  (so far, scaffolding only -- pending css-awareness in
	   gtkmozembed or gecko.  currently #ifdef DOUBLESPACE.)

2007-01-20  karl <karl@charcoal.com>

	* remove all traces of setup_druid.  hasn't been relevant in eons.

2007-01-19  karl <karl@charcoal.com>

	* feature #1613239: improve command line use of "sword://"

2007-01-17  terry <tbiggs@users.sf.net>

	* added navigation toolbar to genbook dialog
	* added files main/navbar_book_dialog.cc and main/navbar_book_dialog.h
	* added files gnome2/navbar_book_dialog.c and gui/navbar_book_dialog.h

2007-01-15  karl <karl@charcoal.com>

	* added feature: high-contrast highlight of current verse.

2007-01-14  karl <karl@charcoal.com>

	* fixed bug #1626605 Daily Devotion Does Not Display

2007-01-14  terry <tbiggs@users.sf.net>

	* gs now depends on gtkhtml-3.8.x
	* removed old editor files for gtkhtml-3.6 and earlier

2007-01-13  karl <karl@charcoal.com>

	* fixed bug #1634794 adv.search hates booknames w/spaces
	* fixed bug #1631629 bible dialog uses wrong verse style

2007-01-13  terry <tbiggs@users.sf.net>

	* added navigation toolbar to genbook pane
	* added files main/navbar_book.cc and main/navbar_book.h
	* added files gnome2/navbar_book.c and gui/navbar_book.h

2007-01-12  karl <karl@charcoal.com>

	* fixed bug #1629380: comm.dialog xref selection refers to wrong book

2007-01-09  karl <karl@charcoal.com>

	* fixed crash in commentary word lookup.

2007-01-06  terry <tbiggs@users.sf.net>

	* fixed bug #1624757: able to completely disable right panes.

2007-01-05  karl <karl@charcoal.com>

	* fixed bug #1628714: dialog commentaries select revelation
	* fixed bug/feat.req #1620641: verse color is ignored

2007-01-03  karl <karl@charcoal.com>

	* updated doc for dropdown bounds selector.

2006-12-30  moses <m-mcknight@users.sf.net>

	* feature #901894: dropdown bounds selector in simple search.

2006-12-27  karl <karl@charcoal.com>

	* fixed bug #1622892: dict/lex cannot change xref setting.
	* updated Makefile.am to include RELEASE-NOTES for doc.

2006-12-23  terry <tbiggs@users.sf.net>

	* bumped to 2.2-svn revison 1380

2006-12-23  karl <karl@charcoal.com>

	* moved all g_message() calls inside #ifdef DEBUG.

2006-12-19  terry <tbiggs@users.sf.net>

	* fixed bug #1618324: "philipper" in german version points to philemon

2006-12-19  karl <karl@charcoal.com>

	* fixed bug #1618829: first use, no global modules found

2006-12-18  terry <tbiggs@users.sf.net>

	* fixed bug #1617225: gnomesword crashes, when clicking on combobox...
	* fixed bug: gnomesword crashes, when clicking left right arrows on dict bar
	* fixed bug: gnomesword crashes, when clicking <view context> in
	  parallel view with less that 5 modules selected.

2006-12-17  karl <karl@charcoal.com>

	* updated gnomesword.spec.in
	* move src/gnome/html.c's g_message inside #ifdef DEBUG.

2006-12-14  karl <karl@charcoal.com>

	* fixed configure.in glitch: fr_FR => fr.
	* undocumented "open current in dialog" which no longer exists.

2006-12-13  karl <karl@charcoal.com>

	* documented adv.search: usage details; no footnote search.

2006-12-13  terry <tbiggs@users.sf.net>

	* fixed Joshua 15:58 bug in adv search dialog

2006-12-12  karl <karl@charcoal.com>

	* fixed bug: avoid gratuitous text redraw when turning off read-aloud.

2006-12-12  terry <tbiggs@users.sf.net>

	* fixed bug #1613439: Sidebar setting does not survive program restart
	* fix the rest of bug #1613439: This problem also occurred with the
	  preview and dictionary panes
	* removed gnome2/hint.c and gui/hint.h they are no longer used and
	  never did work right.

2006-12-09  terry <tbiggs@users.sf.net>

	* final commit for 2.1.10

2006-12-09  karl <karl@charcoal.com>

	* fixed bug: workaround for adv.search 1st modlist fail-to-recognize.

2006-12-06  terry <tbiggs@users.sf.net>

	* search dialog: added dnd suport to verse list on results table
	  drag verse to main text window to display verse in main window.

2006-12-06  terry <tbiggs@users.sf.net>

	* fixed broken add module to mod list in search dialog
	* added dnd support to add module to mod list in search dialog

2006-12-03  karl <karl@charcoal.com>

	* fixed bug: detached parallel view initially blank; sync_with_main().

2006-12-02  terry <tbiggs@users.sf.net>

	* fixed bug #1605640: Change Font does nothing

2006-12-01  terry <tbiggs@users.sf.net>

	* fixed bug: invoking editor on existing entry loses text.

2006-12-01  karl <karl@charcoal.com>

	* added image auto-resizing in commentaries, books, and dictionaries.
	* updated startup to move ".gnomesword-2.0" to ".gnomesword".
	* added hot keys to the File menu.

2006-11-30  karl <karl@charcoal.com>

	* fixed bug: don't crash on commentary middle-click.

2006-11-29  terry <tbiggs@users.sf.net>

	* trial implementation of feature resquest #889422: scroll to new chapter
	* fixed bug #1507371: 2.1.7 forgets which commentary is in use

2006-11-28  terry <tbiggs@users.sf.net>

	* fixed bug #1521926: re-implement book/chapter headings.
	* fixed bug #1536274 almost: clickable links to external sources don't work

2006-11-28  karl <karl@charcoal.com>

	* updated interface.xml to reflect book/chapter headings.
	* fixed bug #1602059: massage %20 back to real space.

2006-11-27  karl <karl@charcoal.com>

	* fixed bug in certain OSIS modules (ESV, NASB) displaying offset
	  text when verse# display is turned off.

2006-11-25  karl <karl@charcoal.com>

	* fixed bug #1601897: constrain attribute search to "whole match".

2006-11-23  karl <karl@charcoal.com>

	* changed first-run permission dialog to accommodate terry's MM fix.
	* altered logic for fallback exit if user fails to install any Bible.
	* updated doc+screenshot to reflect new first-run MM usage.

2006-11-23  terry <tbiggs@users.sf.net>

	* bumped to 2.1.10
	* fixed bug #1601744:title of module in titlebar not displaying
	  for GetLut1545
	* fixed module manager to work on first run
	* corrected tooltip for search dialog - Search Type -> Attributes
	  from //Word/Strongs/G1722 to //Word/Lemma/G1722 this will do a search
	  for Strongs Numbers.
	* added new label "Results Display Options" to search dialog

2006-11-22  karl <karl@charcoal.com>

	* added feature #861174: move Unlock Module to right-click menu end.
	* added feature #1194037: add View->Show Verse Numbers toggle.

2006-11-15  karl <karl@charcoal.com>

	* fixed bug #1575275: expand set of g_strdelimit() chars in
	  on_new_folder_activate() to "/|><.'`\"".

2006-11-15  karl <karl@charcoal.com>

	* fixed bug #1504139 by adding reporter's supplied cs.po.

2006-11-15  karl <karl@charcoal.com>

	* fixed bug #1535122 by applying reporter's supplied patch. thanx.
	* improved grammar of first-time user download question.
	* updated screenshot of question accordingly.
	* added a note to preferences.xml about per-module font selection.

2006-11-14  karl <karl@charcoal.com>

	* updated logic for initial download of a Bible so as to ask
	  permission of user first.  included start.xml comment.

2006-11-11  karl <karl@charcoal.com>

	* fixed bug: first-time user gets ESV downloaded, so he doesn't
	  get a "(null)" module.

2006-11-11  karl <karl@charcoal.com>

	* updating ChangeLog for many things done in recent months:
	* fixed bug: verse navigation crash when spinning selectors.
	* fixed bug: Lookup Selection crash when no word is selected.
	* added Pinned Tabs feature: all translations can track together.
	* added Read Aloud feature: send verse text through Festival.
	* fixed doc images: got a copy of old, still valid images from
	  Brian Dumont to replace corrupt *.png; saw that they were very
	  old, so regenerated a new set of images using current Gnome
	  interface.
	* updated doc *.xml a lot: to reflect current Parallel View
	  habits, add module explanation outline, add footnote previewer
	  use explanation, and include some general Sword references to
	  the intro to connect GnomeSword to Sword generally.

2006-05-01  terry <tbiggs@users.sf.net>

	* bumped to 2.1.7
	* fixed bug 1480183 - crash when using KJV 2.2


2006-04-12  terry <tbiggs@users.sf.net>

	* added previewer item to view menu and to preferences dialog


2006-04-10  terry <tbiggs@users.sf.net>

	* added spin buttons to main navigation bar
	* added filter to display changes in KJV markup


2006-03-28  terry <tbiggs@users.sf.net>

	* fixed bug 1174943 'gtkmozembed ISBE crash'
	* fixed bug 1419036 'clicking \"view context\" in parallel view segfaults'


2006-03-26 terry <tbiggs@users.sf.net>

	* fixed bug 1419024 'segfault when clicking \"book view\" tab'
	* fixed bug 1419034 'commentary window is visible even if unchecked in view menu'
	* fixed bug 1419041 'highlighting a word and doing \"Lookup Selection\" broken'
	* fixed bug 1419045 'clicking \"general books\" in modules window segfaults'
	* closed bug 1437634 'crashes when I try to search' could not duplicate


2005-12-15 terry <tbiggs@users.sf.net>

	* added m4/gnomesword-mozilla.m4 which contains a macro for finding
	  mozilla - taken from gtkmozedit-0.3.1


2005-12-09 terry <tbiggs@users.sf.net>

	* added status bar to new editors
	* added navbar to new note editor


2005-12-01 terry <tbiggs@users.sf.net>

	* changed to use gtkhtml editor componet for building with gtkhtml-3.8
	* added ui/editor_studypad.xml and ui/editor_note.xml for use
	  with editor componet.
	* added editor/html-editor.c and editor/html-editor.h


2005-08-04 terry <tbiggs@users.sf.net>

	* added about_gnomesword.c.patch from Eicke Godehardt - ported about
	  dialog from 'gnome about dialog' to 'gtk about dialog.'

2005-07-26 terry <tbiggs@users.sf.net>

	* added ui/search-dialog.glade
	* the advanced search dialog is now built by libglade


2005-07-12 terry <tbiggs@users.sf.net>

	* added ui/module-manager.glade and ui/sword3.png
	* the module manager is built by libglade


2005-07-09 terry <tbiggs@users.sf.net>

	* added gnomesword1/ui directory.
	* moved gui/prefs.glade to ui/prefs.glade
	* added ui/bookmarks.glade

2005-07-08 terry <tbiggs@users.sf.net>

	* added gui/prefs.glade gui/Makefile.am and gui/logo.png
	* now trying libglade to build the preferences dialog.
	* if this works out we will put the *.glade files in their own dir.


2005-04-25  terry <tbiggs@users.sf.net>

	* added main/previewer.cc and main/previewer.h


2005-03-26  terry <tbiggs@users.sf.net>

	* fixed resize bug
	* fixed to build with gtkmozembed on gento distro (I hope)


2005-03-22  terry <tbiggs@users.sf.net>

	* changed back to pkgconfig to find sword.


2005-03-19  terry <tbiggs@users.sf.net>

	* removed backend/sword.cpp and backend/sword.h


2005-03-16  terry <tbiggs@users.sf.net>

	* changed to new nabar in parallel dialog. I think that this was the
	  last of the old style navbars.


2005-03-15  terry <tbiggs@users.sf.net>

	* added cancel button to studypad's close confirmation dialog
	* disabled the setup_druid - use some sane settings on first run
	  instead.


2005-03-05  terry <tbiggs@users.sf.net>

	* added progress bar to splash screen and changed two of the icons

2005-03-01  terry <tbiggs@users.sf.net>

	* added four buttons to editor
	  Insert image
	  Insert link
	  Insert rule
	  Insert table

2005-02-24  terry <tbiggs@users.sf.net>

	* added a bookmark dialog for adding bookmarks.
	* added a bookmark item to the popup menus for bible, commentary, book
	  and dictionary panes that opens the bookmark dialog.

2005-02-23  terry <tbiggs@users.sf.net>

	* removed gtkhtml 3.0 tests from configure.in since 3.1 is needed

2005-02-21  terry <tbiggs@users.sf.net>

	* fixed to take advantage of clucene searching if Sword is built using
	  clucene and the module being search has the search frame work
	  (lucene indexes). The frame work is built using mkfastmod.
	  "mkfastmod KJV"


2005-02-10  terry <tbiggs@users.sf.net>

	* moved editor files to src/editor


2005-02-08  pierre <pierrebenz@users.sf.net>
	* removed obsolete doc images
	* added new doc images
	* updated doc
	* moved and updated doc Guidelines

2005-02-05  terry <tbiggs@users.sf.net>

	* added new navbar for main window.
	* added main/navbar.cc and main/navbar.h


2005-01-31  terry <tbiggs@users.sf.net>

	* old testament modules will not try to display a new testament ref
	* new testament modules will not try to display an old testament ref
	* added the last verse of the previous chapter and the first verse of
	  the next chapter to the chapter display (Bible text pane)


2005-01-28  terry <tbiggs@users.sf.net>

	* made changes to gui:
	  moved viewer below text pane
	  moved dict below commentary/book notebook
	  put text/parallel panes in a notebook with tabs
	  put commentary/book panes in a notebook with tabs
	  changed option menu in sidebar to buttons at the bottom
	  changed dictionary entry and listview to a combo box entry

2005-01-19  pierre <pierrebenz@users.sf.net>
	* add personal commentary documentation files
	* added documentation patch from Peter von Kaehne
	* fixed documentation build for book format (translators,
	  gnomesword.xml is now depreciated, translate to  new format please)

2005-01-18  pierre <pierrebenz@users.sf.net>

	* added documentation guidelines (still incomplete)
	* added gnomesword-manual.xml + manual updates


2004-09-26  terry <tbiggs@users.sf.net>

	* gnomesword can be build using gtkmozembed for the Bible, commentary
	  and dictionary panes.
	* added backend/gs_osishtmlhref.* and backend/gs_markupfiltmgr.* for
	  gtkmozembed.
	* added main/embed.cc and main/embed.h for gtkmozembed.


2004-08-19  terry <tbiggs@users.sf.net>

	* removed files - backend/gs_thmlhtml.*, backend/gs_osishtmlhref.*,
	  backend/gs_gbfhtmlhref.* and backend/gs_markupfiltmgr.*
	* removed files - main/bibletext.*, main/commentary.*, main/dictlex.*
	  and main/percomm.*
	* replaced hint dialog with Information Viewer (moved the viewer
	  from the sidebar notebook to it's own location at bottom of sidebar
	  but always visible)


2004-08-12  terry <tbiggs@users.sf.net>

	* bumped to 2.1.2
	* made gs cvs dependant on sword-1.5.8 (sword-cvs)


2004-08-10  terry <tbiggs@users.sf.net>

	* added shadows (borders) to most of the scroll windows can be turned
	  off by setting settings.shadow_type=GTK_SHADOW_NONE (0) in
	  main_window.c create_mainwindow(). Default=GTK_SHADOW_IN (1).

2004-08-07  terry <tbiggs@users.sf.net>

	* added doc patch from Jeff Ratliff - covers the sidebar search.

2004-01-14  Andy <andyp@users.sf.net>

	* added gnomesword.doap.rdf, the DOAP description for the project
	  currently used on the website and may gain wider usage in time,
	  either way it is useful to have it maintained in CVS

2004-07-14  terry <tbiggs@users.sf.net>

	* fixed broken include in /backend/sword.cpp
	* bumped to 2.1.1 and released


2004-07-13  terry <tbiggs@users.sf.net>

	* bumped to 2.1.0 and released


2004-05-15  Pierre <pierrebenz@users.sf.net>

	* changed settings directory to .gnomesword-2.0


2004-05-15 Terry <tbiggs@users.sf.net>

	* removed backend/mgr.hh and backend/mgr.cc
	* removed backend/sword_defs.h


2004-05-14 Terry <tbiggs@users.sf.net>

	* removed backend/key.hh and backend/key.cc
	* removed main/key.h and main/key.c


2004-05-13 Terry <tbiggs@users.sf.net>

	* removed main/search.h and main/search.c
	* removed main/module.h and main/module.c


2004-04-21 Terry <tbiggs@users.sf.net>

	* added main/search_dialog.cc and main/search_dialog.h
	* added main/search_sidebar.cc and main/search_sidebar.h
	* removed backend/dialogs.cc and backend/dialogs.hh


2004-04-07 Terry <tbiggs@users.sf.net>

	* removed backend/tree.cc and backend/tree.hh
	* removed gui/gtkhtml_display.h and gnome2/gtkhtml_display.c


2004-04-02 Terry <tbiggs@users.sf.net>

	* added gnome2/note_editor.c and gui/note_editor.h
	* added gnome2/note_toolbar_edit.c and gui/note_toolbar_edit.h
	* added gnome2/note_toolbar_style.c and gui/note_toolbar_style.h
	* removed gnome2/percomm.c and gui/percomm.h


2004-03-30  Terry <tbiggs@users.sf.net>

	* completely reworked gnome2/commentary_dialog.c
	* completely reworked gnome2/dictionary_dialog.c
	* completely reworked gnome2/gbs_dialog.c
	* removed gui/commentary_menu.h and gnome2/commentary_menu.c
	* removed gui/dictionary_menu.h and gnome2/dictionary_menu.c
	* removed gui/gbs_menu.h and gnome2/gbs_menu.c
	* removed gui/gbs_display.h and gnome2/gbs_display.c
	* removed main/gbs.h and main/gbs.c
	* added pixmaps from the Epiphany project
	* epiphany-bookmark-page.png
	* epiphany-bookmarks.png
	* epiphany-secure.png
	* epiphany-unsecure.png


2004-03-15  Terry <tbiggs@users.sf.net>

	* completely reworked gnome2/bibletext_dialog.c
	* removed gui/bibletext_menu.h and gnome2/bibletext_menu.c
	* added main/module_dialogs.cc and main/module_dialogs.h


2004-03-11  Terry <tbiggs@users.sf.net>

	* added backend/sword_main.cc and backend/sword_main.hh


2004-03-03  Terry <tbiggs@users.sf.net>

	* renamed gui/mod_global_ops.h and gnome2/mod_global_ops.c to
	  main/global_ops.cc and main/global_ops.hh
	* renamed main/commentary.c to main/commentary.cc


2004-03-02  Terry <tbiggs@users.sf.net>

	* added main/display.cc and main/display.hh
	* changed main/sword.c to main/sword.cc
	* completely reworked gnome2/gbs.c


2004-02-26  Terry <tbiggs@users.sf.net>

	* added attribute search to search dialog
	  search for Strongs numbers, morph tags and footnotes.
	  Requires sword cvs (1.5.8).

2004-02-25  Terry <tbiggs@users.sf.net>

	* reworked main/lists.c


2004-02-21  Terry <tbiggs@users.sf.net>

	* completely reworked gnome2/dictlex.c


2004-02-19  Terry <tbiggs@users.sf.net>

	* completely reworked gnome2/commentary.c


2004-02-12  Terry <tbiggs@users.sf.net>

	* add sword filters to /backend until the changes are added to the SWORD
	  project filters.
	* completely reworked gnome2/bibletext.c
	* added files gnome2/url.c and gui/url.h
	* moved url handler to gnome2/url.c


2004-02-07  Terry <tbiggs@users.sf.net>

	* added sword url handler to gnome2/utilities.c
	  pass uri in the form of sword://KJV/1John5:8
	  to the command line.


2004-02-04  Terry <tbiggs@users.sf.net>

	* added tabbed browsing option to preferences dialog


2004-02-03  Moses <m-mcknight@users.sf.net>

	* started work on tabbed browsing
	* added gnome2/tabbed_browser.c and gui/tabbed_browser.h


2004-01-20  Terry <tbiggs@users.sf.net>

	* added a 'Sources' item to the module manager - for adding and removing
	  remote sources. (will only add at the moment)


2004-01-15  Moses <m-mcknight@users.sf.net>

	* added a setting to remember the dimensions of the search sidebar


2004-01-14  Andy <andyp@users.sf.net>

	* updated spec file to fix build for users and support the renaming of
	  the package to gnomesword. We now obsolete gnomesword2 (weird but
	  hopefully it will hold up ok).


2004-01-13  Terry <tbiggs@users.sf.net>

	* major changes to rename package to gnomesword (was gnomesword2).
	  Users of gnomesword2 CVS builds (or who have built from source) should
	  do a 'make uninstall' from their old tree before updating to avoid
	  manual work removing old gnomesword2 files.
	* fixed references to main/shortcutbar.h and removed unnecessary files.


2004-01-09  Terry <tbiggs@users.sf.net>

	* added space between items in Bible and commentary dialog navigation
	  tool bars
	* added global option support to gbs (for Andy's Life Time module)
	* the footnotes in lifetimes look bad - in BT also
	  (may be a filter problem)
	* added files gui/mod_global_ops.h and gnome2/mod_global_ops.c


2004-01-06  Andy <andyp@users.sf.net>

	* internationalization improvements (close RFE #861280)
	* reworked Makefile.am, added 'make rpm' rule, reorganized
	* bumped version to 2.1.dev1 (this is a dev/test cycle)
	(NB GNOME 1.x build is probably broken due to gnomesword2
	referenced in the configure and Makefile stuff)


2004-01-05  Terry <tbiggs@users.sf.net>

	* added check for ".sword/InstallMgr/InstallMgr.conf" in users home
	  directory.
	* added progress bar for refresh remote
	* added dialog to warn user to restart gs when modules have been changed
	  until we can do better.
	* changed dialog to restart gs if user answers yes.


2004-01-05  Terry <tbiggs@users.sf.net>

	* added module manager
	  backend/module_manager.cc
	  backend/module_manager.hh
	  main/mod_mgr.c
	  main/mod_mgr.h
	  gnome2/mod_mgr.c
	  gui/mod_mgr.h


2004-01-02  Andy <andyp@users.sf.net>

	* updated some strings
	* cleaned up HTML output for generic book display


2003-12-31  Andy <andyp@users.sf.net>

	* update spec file
	* fix UI (menu item ordering and access keys per RFE #866127)
	* fix #include's of gal headers
	* string updates
	* preliminary support for GNOME session based on code from gedit


2003-12-31  Terry <tbiggs@users.sf.net>

	* remove pango markup from strings in bookmarks_menu.c and editor_menu.c


2003-12-30  Terry <tbiggs@users.sf.net>

	* fixed bug #866548
	* added space to navigation toolbar by adding empty labels


2003-12-26  Terry <tbiggs@users.sf.net>

	* added tooltips to all items on the navigation
	  toolbar in toolbar_nav.c


2003-12-25  Terry <tbiggs@users.sf.net>

	* moved Spell.idl and spell_gnome_spell.c form /main to /gnome2
	* made some changes in spell dialog - spell check starts when the dialog
	  opens - removed the spell check button (start buttton)


2003-12-24  Andy <andyp@users.sf.net>

	* bumped to version 2.0.0 (yay! a real stable release!)
	* added French manual (thanks to Dominique Corbex)
	* updated French translation
	* disabled out-of-date translations for GNOME2 build
	  (only en_GB and fr_FR are current)
	* cleaned English manual
	* added screenshots for English manual


2003-12-23  Terry <tbiggs@users.sf.net>

	* added new sidebar menu button
	* cleand up the html.c code
	* changed <back> and <foward> buttons on nav toolbar to stock buttons


2003-12-21  Terry <tbiggs@users.sf.net>

	* fixed bug #863854 that I caused when I fixed to build with
	  -DGTK_DISABLE_DEPRECATED -- still builds with -DGTK_DISABLE_DEPRECATED


2003-12-19  Terry <tbiggs@users.sf.net>

	* fixed to build with -DGTK_DISABLE_DEPRECATED


2003-12-18  Terry <tbiggs@users.sf.net>

	* clicking on verse (link) in preview pane (sidebar or search_dialog)
	  now displays verse in main text pane.
	* fixed bug #862463

2003-12-17  Terry <tbiggs@users.sf.net>

	* fixed bug - Greek and Hebrew module not saved in setup_druid.


2003-12-16  Andy <andyp@users.sf.net>

	* bumped to version 2.0.rc1


2003-12-15  Terry <tbiggs@users.sf.net>

	* fixed bug 860510
	* enabled footnote hints for osis modules


2003-12-14  Terry <tbiggs@users.sf.net>

	* added support for preverse headings
	* updated fr_FR.po from Dominique Corbex <dominique.corbex@wanadoo.fr>
	* applied patch from Dominique Corbex


2003-12-13  Terry <tbiggs@users.sf.net>

	* Made editors use dialogs - removed options
	* editors toolbar are shown - removed options
	* fixed spacing for checkbuttons in setup_druid.


2003-12-13  Pierre <pierrebenz@users.sf.net>

	* updated manual


2003-12-12  Terry <tbiggs@users.sf.net>

	* made preferences dialog instant apply and replaced the apply, ok and
	  cancel buttons with a close button
	* updated spell check dialog


2003-12-10  Andy <andyp@users.sf.net>

	* fix bug reporting URL in configure.in (the project is not hosted at
	  gnome.org.... yet...)
	* updated spec file
	* fixed e-mail addresses in various files


2003-12-10  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev19
	* added get_sword_locale() to backend/sword.cpp to help with the
	  books of the bible problem.
	* added de_DE.po and fr_FR.po to make gettext happy


2003-12-09  Andy <andyp@users.sf.net>

	* added manual to the build. Sweeping changes to the doc/ directory.
	  Plus, we now depend on scrollkeeper.
	* updated .spec file for more prereqs and scrollkeeper scripts, use
	  generic prefixes per GNOME packaging examples
	* added COPYING-DOCS file
	* updated POTFILES.in to include all source files in src/gnome2
	* added en_GB translation
	* updated typewriter icon to a nice PNG
	* more work on fixing deprecated GNOME / GTK calls
	* reworked the way we do Pango text to make translations easier


2003-12-08  Andy <andyp@users.sf.net>

	* removed old html docs files - they were empty anyway
	* clarified purpose of src/gnome2/dummy.cpp and src/gnome/dummy.cpp.
	  These files force g++ linkage. Added comments inside so that idiots
	  like me don't try to remove them when helpfully "cleaning up" the
	  source tree :-)
	* updated spec file with better Requires/BuildRequires
	* enabled Help->Contents to actually launch the Help. This needed a
	  patch on gui.c to fix gnome_program_init(), Makefile.am changes, and
	  a small change in main_menu.c.


2003-12-08  Terry <tbiggs@users.sf.net>

	* bumped to  0.9.dev18
	* added enable-pspell to configure.in (for compatability with systems
	  that don't have the right gnome-spell) will go away later.


2003-12-07  Andy <andyp@users.sf.net>

	* weekend hackathon :-)
	* replaced all string references to stock icons with the macro
	  equivalents wherever possible
	* changed GNOME_STOCK_PIXMAP_* and GNOME_STOCK_MENU_* pixmaps
	  references to the modern equivalents - these are now deprecated
	* gtk_widget_set_usize is now deprecated. Replaced with correct
	  gtk_widget_set_size_request and fixed -2 -> -1 references
	* comprehensive review of strings: fixed typos, updated, added,
	  changed around - should be ready for the translators now
	* started to update the preferences dialog. Removed the layout section
	  as this is now done with the session. Removed frames and replaced
	  with bold headings. Layouts and indents still need updating.


2003-12-07  Terry <tbiggs@users.sf.net>

	* added about module item to context menus in gbs_menu.c, dictlex_menu.c,
	  commentary_menu.c and bibletext_menu.c


2003-12-05  Terry <tbiggs@users.sf.net>

	* enabled printing using gnome-print.
	* fixed gnome2/history.c
	* removed book_closed.png, book_open.png and helpdoc.png


2003-12-05  Terry <tbiggs@users.sf.net>

	* removed 'point to' and 'add to root' items form bookmark menus.
	* removed 'view hints' from main menu.


2003-12-05  Andy <andyp@users.sf.net>

	* string updates to editors and about boxes


2003-12-05  Andy <andyp@users.sf.net>

	* added spec file based on original by Hugo van der Kooij. This will be
          generated by configure with the correct information for building based on
          the tarball created by 'make dist'. This is a first draft but it appears to
          work for me.


2003-12-04  Terry <tbiggs@users.sf.net>

	* work on removing GtkFrames and replacing them with GNOME2-style bold
          headings


2003-12-03  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev17
	* added gui_alert_dialog() to gnome2/dialog.c - much closer to HIG
	  for alerts than gui_gs_dialog().
	* added new create_dialog_request() should be easier to get to conform
	  to the HIG it's called by gui_gs_dialog().


2003-12-02  Terry <tbiggs@users.sf.net>

	* work in dialog.c
	   * rearanged buttons
	   * stock icon can be added
	   * if title string is not passed to gui_gs_dialog(GS_DIALOG * info)
	     you get no title instead of default title.
	   * top label is formatted bold.
	   * changed code to use gtk_dialog "response" signal when
	     buttons are clicked instead of button "clicked" signal


2003-12-01  Terry <tbiggs@users.sf.net>

	* fixed bug #852017 (?) - gs will run if setup_druid is canceled
	  but now pops up a dialog and asks if the user wishes to run the
	  preferences_dialog


2003-11-30  Andy <andyp@users.sf.net>

	* stripped out the colour-changing code from the setup_druid as
	  it is inconsistent to change the heading colour between pages


2003-11-29  Terry <tbiggs@users.sf.net>

	* add gnome-spell support


2003-11-28  Terry <tbiggs@users.sf.net>

	* remove close button from the search dialog


2003-11-27  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev16
	* worked on bug 842526 - needs testing
	* changed icons in setup_druid to gs2-48x48.png


2003-11-25  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev15
	* configure enables spellchecking if it finds pspell.
	* studypad chrash on open is fixed again.
	* if there are no modules of a type the pane for that type will
	  be hidden.


2003-11-24  Terry <tbiggs@users.sf.net>

	* removed gnome2/shortcutbar.h it was no longer needed
	* combined "search results" and "verse list" in the sidebar


2003-11-24  Andy Piper <andyp@users.sf.net>

	* docs are conventionally installed to /usr/share/doc and not to
	  /usr/doc so we'll fix configure.in and Makefile.am to do that. This
	  means that a 'make uninstall' won't kill the /usr/doc directory
	  (which probably only contains a gnomesword2 directory as /usr/doc
	  is not usually present on e.g. RedHat/Fedora systems, probably
          others) so it will need to be removed manually to avoid cruftage.


2003-11-23  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev14
	* changed 4 clists to listviews in gnome2/search_dialog.c
	* worked on bug 842524 - needs testing
	* added a button to toggle between text and parallel view.
	* added a button to toggle between book and dict/lex view.


2003-11-20  Terry <tbiggs@users.sf.net>

	* fixed bug 845752
	* ui clean up
		* moved parallel view to bibletexts pane
		* removed File->Open Dialogs form main menu
		  (dialogs may be opened by right clicking in module
		  list and chosing <Open in dialog>
		* Removed Help->About Modules from main menus
		  (about dialogs may be opened by right clicking in module
		  list and chosing <About>


2003-11-19  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev13
	* worked on bugs 842319, 842668 and 842688

2003-11-18  Andy Piper <andyp@users.sf.net>

	* removed redundant icon
	* tweaked gnomesword2.desktop.in again, more HIG-compliant
	* updated src/gnome2/about_sword.c to fix typo, prettify, remove deprecated
	  calls

2003-11-18  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev12
	* changed configure.in so gnome2 build is the default
	* added Andy's changes to gnomesword2.desktop.in
	* fixed bugs 842314, 842319, 842324, 842677 and 842688


2003-11-13  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev11
	* removed shortcut bar from preferences dialog - gnome2
	* removed shortcut bar page from preferences dialog - gnome2
	* fixed text pane max width bug
	* fixed save search results list to bookmarks for sidebar search - gnome2


2003-10-27  Terry <tbiggs@users.sf.net>

	* bumped gnome2 port to 0.9.dev9
	* fixed a couple of crashes


2003-10-21  Terry <tbiggs@users.sf.net>

	* bumped gnome2 port to 0.9.dev8


2003-10-17  Terry <tbiggs@users.sf.net>

	* changed bookmarks ctree to treeview


2003-10-06  Terry <tbiggs@users.sf.net>

	* bumped gnomesword-2.0 to 0.9.dev7
	* added book_closed.png, book_open.png and helpdoc.png from Devhelp-0.7
	  for gnome2/gbs.c treeview.


2003-09-27  Terry <tbiggs@users.sf.net>

	* changed ctree to treeview in gnome2/gbs.c and gnome2/gbs_dialog.c
	* changed search results clist to listview in gnome2/sidebar.c
	* cleaned up ui (I hope)


2003-09-17  Terry <tbiggs@users.sf.net>

	* changed clist to listview in gnome2/dictlex.c and gnome2/dictlex_dialog.c


2003-09-10  Terry <tbiggs@users.sf.net>

	* moved add_module_to_language_folder, add_language_folder and
	  gui_load_module_tree from sidebar.c to utilities.c to be used by other
	  files.
	* replaced the search_dialog ctree with a treeview widget.

2003-09-06  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev6


2003-07-30  Terry <tbiggs@users.sf.net>

	* Added chapter_display_textview to gnome2/gtkhtml_display.c
	  for right to left support
	* added
	  'AC_ARG_ENABLE(gnome2,[--enable-gnome2 build],gnome2=$enableval,gnome2="no")
	  to configure.in for building the gnome2 port


2003-07-25  Terry <tbiggs@users.sf.net>

	* added src/gnome2 for port to gnome2


2003-06-28  Terry <tbiggs@users.sf.net>

	* requires Sword cvs (1.5.6)


2003-06-24  Terry <tbiggs@users.sf.net>

	* added support for Osis footnotes


2003-06-10  Terry <tbiggs@users.sf.net>

	* added toggle button to Bibletext and Commentary dialogs
	  to allow user to keep them in sync with main window.


2003-05-13  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev5
	* added studypad default directory entry to preferences_dialog.c


2003-05-12  Terry <tbiggs@users.sf.net>

	* added m4/gnomesword.m4
	* added macros - AC_CHECK_STATIC_LINKING, AC_CHECK_SWORD
	  and AC_FIND_ZLIB from BibleTime to gnomesword.m4
	* moved GS_CHECK_LIB and AC_FIND_FILE to gnomesword.m4 from
	  configure.in
	* moved macros/autogen.sh to m4/autogen.sh
	* removed macros directory


2003-05-05  Terry <tbiggs@users.sf.net>

	* added gui/gbs_display.h and gnome/gbs_display.c
	  to support the disply of Genreal Books



2003-05-01  Terry <tbiggs@users.sf.net>

	* added url_requested() to gnome/html.c to display images


2003-04-29  Terry <tbiggs@users.sf.net>

	* bumped to 0.9.dev4
	* added requirements
	    pkgconfig-0.12.0 or later
	    GtkHTML-1.1 or later
	    gal-0.24 or later
	    gnome-print-0.35 or later
	    gdk-pixbuf-0.18 or later
	* added chapter_display_mozilla() that uses gtkembedmoz()
	  to display Hebrew right to left. Just a workaround until
	  the port to Gnome2.
	* added two patches from Tim Silversides.
	  1. The First starts search when a user presses return in the
	     search text entry.
	  2. The second gives the user a choice of whether or not to
	     preview printing.


2003-04-25  Terry <tbiggs@users.sf.net>

	* added module selection (Bible or Commentary)
	  to shortcut bar search


2003-04-07  Terry <tbiggs@users.sf.net>

	* module opions are now saved (agin)


2003-04-05  Terry <tbiggs@users.sf.net>

	* removed gui/editor_search.h and gnome/editor_search.c
	  they are no longer needed (editors use gnome/find_dialog.c)


2003-04-01  Terry <tbiggs@users.sf.net>

	* settings now saved in settings.xml using gnome-xml
	* removed backend/preferences.*
	* removed backend/bookmarks.*
	* removed backend/percomm_.*


2003-03-27  Terry <tbiggs@users.sf.net>

	* removed backend/shortcutbar.*
	* removed backend/parallel.*


2003-03-13  Terry <tbiggs@users.sf.net>

	* bumped to dev3
	* fixed crash on open related to using old configs and bookmarks
	* added config.*, key.*, module.* and mgr.* to backend
	* added configs.*, key.* and module.* to main
	* moved the code for using old configs and bookmarks from
	  main.c to settings.c.
	* added xml.* to main (not used yet)


2003-03-03  Terry Biggs <tbiggs@users.sf.net>

	* bumped to dev2
	* fixed crash on open caused by no bookmarks
	* sword.xpm added back to pixmaps directory (oops)

2003-02-25  Terry Biggs <tbiggs@users.sf.net>

	* added open in dialog item to bookmark popup menu


2003-02-24  Terry Biggs <tbiggs@users.sf.net>

	* bookmarks are only saved if they have been changed

2003-02-21  Terry Biggs <tbiggs@users.sf.net>

	* added show splash screen button to preferences dialog

2003-02-21  Terry Biggs <tbiggs@users.sf.net>

	* removed main/bookmark.c and main/bookmark.h

2003-02-18  Terry Biggs <tbiggs@users.sf.net>

	* bookmarks changed to xml (compatible with BibleTime)

2003-02-10  Terry Biggs <tbiggs@users.sf.net>

	* changed popup menu in gbs pane to new style
	  to match Bible and commentary popups
	* added popup menu to gbs dialog

2003-02-08  Terry Biggs <tbiggs@users.sf.net>

	* changed popup menu in dictionary pane to new style
	  to match Bible and commentary popups
	* added popup menu to dictionary dialog

2003-02-07  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): New variable.
	* configure.in (AC_OUTPUT): Add m4/Makefile.

2003-02-05  Terry Biggs <tbiggs@users.sf.net>

	* removed the lookup_widget() function from gnome/utilities.c
	  it is no longer needed.
	* removed gtk_widget_ref() and gtk_object_set_data_full()
	  from gnome/preferences_dialog.c and gnome/main_window.c


2003-01-30  Terry Biggs <tbiggs@users.sf.net>

	* in main_menu moved View/New * Dialog to
	  File/Open * Dialog

2003-01-28  Terry Biggs <tbiggs@users.sf.net>

	* revomed toolbar from commentary pane put
	  all options in popup menu.
	* added same popup menu to commentary dialog

2003-01-24  Terry Biggs <tbiggs@users.sf.net>

	* revomed toolbar from Bible text pane put
	  all options in popup menu.
	* added same popup menu to Bible text dialog

2003-01-22  Terry Biggs <tbiggs@users.sf.net>

	* removed strip_words_in_red() from
	  gnome/gtkhtml_display.c
	* added "Red letter words" to module global options
	  toolbar for modules that have words of Christ in red
	* fixed to work with gtkhtml-1.1


2003-01-10  Terry Biggs <tbiggs@users.sourceforge.net>

	* added strip_words_in_red() to gnome/gtkhtml_display.c
	* made bibletext_dialog nav toolbar look like main nav toolbar

2002-12-28  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_editor.h to gui/editor.h
	* renamed gnome/_editor.c to gnome/editor.c


2002-12-23  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed gui/editor_toolbar.h and gnome/editor_toolbar.c
	* added gui/toolbar_style.h and gui/toolbar_edit.h
	* added gnome/toolbar_style.c and gnome/toolbar_edit.c
	* added menu items to editors to toggle toolbars on and off



2002-12-21  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved editors from upper workbook to lower workbook


2002-12-21  Terry Biggs <tbiggs@users.sourceforge.net>

	* added gnome/font_dialog.c and gui/font_dialog.h
	* added backend/module_fonts.cpp and backend/module_fonts.h


2002-10-31  Terry Biggs <tbiggs@users.sourceforge.net>

	* updated to use sword-1.5.5


2002-10-19  Terry Biggs <tbiggs@users.sourceforge.net>

	* added gnome/find_dialog.c and gui/find_dialog.h
	* removed gnome/commentary_find.c and gui/commentary_find.h
	* removed gnome/gbs_find.c and gui/gbs_find.h
	* removed gui/find_dlg.defs.h


2002-10-18  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed gnome/link_dialog.c and gui/link_dialog.h


2002-10-08  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed gnome/info_box.c and gui/info_box.h


2002-09-16  Terry Biggs <tbiggs@users.sourceforge.net>

	* added gnome/dialog.c and gui/dialog.h this is to
	  replace gnomedialog


2002-09-11  Terry Biggs <tbiggs@users.sourceforge.net>

	* added patch from Tim Silversides <silversides@btinternet.com>
	  that toggles show/hide texts, comms and dicts.


2002-08-27  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gnomesword.desktop to gnomesword1.desktop
	* changed executable name to gnomesword1
	* gnomesword1 can be installed without affecting gnomesword


2002-08-23  Terry Biggs <tbiggs@users.sourceforge.net>

	* changed settings to use .gnomesword-1.0 directory
	  so you can run gnomesword1 and gnomesword and keep settings
	  seperate.


2002-08-17  Terry Biggs <tbiggs@users.sourceforge.net>

	* added gnome/gbs_dialog.c and gui/gbs_dialog.h


2002-08-10  Terry Biggs <tbiggs@users.sourceforge.net>

	* fixed one module and settings set to first module crash
	* fixed crash when parallel module was not available


2002-08-09  Terry Biggs <tbiggs@users.sourceforge.net>

	* changed preferences file to preferences-1.0.conf
	* if preferences-1.0.conf does not exist checks for
	  preferences.conf and loads it. It will then be saved
	  as preferences-1.0.conf.


2002-08-08  Terry Biggs <tbiggs@users.sourceforge.net>

	* added main/search.*
	* added backend/search.*
	* added gui/search_dialog.h
	* added gnome/search_dialog.c
	* removed backend/search_.*


2002-07-30  Terry Biggs <tbiggs@users.sourceforge.net>

	* added main/spell_ispell.c for ispell support
	* ispell support requires ./configure --enable-with_ispell


2002-07-29  Terry Biggs <tbiggs@users.sourceforge.net>

	* added main/spell_pspell.c and main/spell.h
	* moved widgets from settings structure to
	  a widgets structure in gui/gnomesword.h
	* combined backend_first_init() and backend_init_sword()
	  into backend_init()


2002-07-27  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed main/char_table.*, main/spell.* and main/spell_gui.*
	* added gui/editor_spell.h and gnome/editor_spell.c
	* spell checking now requires pspell but gnomesword will be built
	  without spell checking if configure does not find pspell.
	* gui stuff is removed from backend and main execpt main/settings.h


2002-07-24  Terry Biggs <tbiggs@users.sourceforge.net>

	* added main/swprd.c and main/sword.h
	* moved functions that access backend from main/gs_gnomesword.c
	  to main/sword.c
	* moved main/gs_gnomesword.* to gui/gnomesword.h
	  and gnome/gnomesword.c
	* added src/gui/*.h to EXTRA_DIST in top level Makefile.am


2002-07-23  Terry Biggs <tbiggs@users.sourceforge.net>

	* added main/shortcutbar.c and main/shortcutbar.h
	* moved shortcutbar functions from main/gs_gnomesword.c
	  to main/shortcutbar.c



2002-07-22  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved main/find_dlg_defs.h to gui/find_dlg_defs.h
	* moved change_verse(gchar * key) from gs_gnomesword.c
	  to gnome/main_window.c gui_change_verse(gchar * key).
	* moved change_module_and_key(gchar * module_name, gchar * key)
	  from gs_gnomesword.c to gnome/main_window.c
	  gui_change_module_and_key(gchar * module_name, gchar * key).


2002-07-18  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed main/gs_html.* to gui/html.h and gnome/html.c
	* removed main/gs_menu.*


2002-07-17  Terry Biggs <tbiggs@users.sourceforge.net>

	* changed gnome/bibletext_dialog.c, gnome/commentary_dialog.c
	  and gnome/dictlex_dialog.c to open unlimited dialogs (well,
	  limited by system resorces)


2002-07-16  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed main/support.*
	* added gui/utilities.h
	* added gnome/utilities.c
	* renamed main/gs_history.* to gui/history.h and gnome/history.c


2002-07-13  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed main/gs_bookmarks.*
	* added main/bookmarks.*
	* added gui/bookmarks.h
	* added gnome/bookmarks.c


2002-07-05  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_display_info.h to gui/display_info.h
	* renamed gnome/_display_info.c to gnome/display_info.c
	* removed backend/display_info_.*
	* removed main/display_info.*
	* removed backend/verselist.*
	* removed backend/display.*



2002-07-04  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_percomm.h to gui/percomm.h
	* renamed gnome/_percomm.c to gnome/percomm.c
	* moved main/gs_parallel.c to gnome/parallel.c
	* moved main/gs_parallel.h to gui/parallel.h
	* moved main/gs_gui.c to gnome/main_window.c
	* moved main/gs_gui.h to gui/main_window.h


2002-07-03  Terry Biggs <tbiggs@users.sourceforge.net>

	* gbs panes are now
	  created when needed not on startup.



2002-07-02  Terry Biggs <tbiggs@users.sourceforge.net>

	* added backend/sword_defs.h
	* Bibletext, commentary, and dictlex panes are now
	  created when needed not on startup.


2002-07-01  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed /backend/viewcomm.*
	* removed /backend/viewdict.*
	* removed /backend/bibletext_view_.*
	* changed gnome/commentary_dialog.c to open multiple dialogs.
	* changed gnome/dictlex_dialog.c to open multiple dialogs.
	* added gnome/gtkhtml_display.c and gui/gtkhtml_display.h these
	  will replace backend/display.* eventually


2002-06-26  Terry Biggs <tbiggs@users.sourceforge.net>

	* changed gnome/bibletext_dialog.c to open multiple dialogs.


2002-06-22  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_dictlex.h to gui/dictlex.h
	* renamed gnome/_dictlex.c to gnome/dictlex.c


2002-06-22  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_bibletext.h to gui/bibletext.h
	* renamed gnome/_bibletext.c to gnome/bibletext.c
	* renamed gui/_commentary.h to gui/commentary.h
	* renamed gnome/_commentary.c to gnome/commentary.c

2002-06-21  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gui/_gbs.h to gui/gbs.h
	* renamed gnome/_gbs.c to gnome/gbs.c


2002-06-08  Victor Porton  <porton@localhost>

	* fixed src/main/commentary.c: crashed displaying the commentary
	when no commentary

	* fixed src/main/gs_parallel.c: again works when not all
	parallel modules are present

2002-06-06  Terry Biggs <tbiggs@users.sourceforge.net>

	* added frame label to docked parallel and studypad to
	  give a more uniform look.



2002-06-05  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gnome/_bibletext_view.* to gnome/bibletext_dialog.*
	* removed main/bibletext_view.*


2002-06-04  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gnome/create_shortcutbar_search.* to gnome/shortcutbar_search.*
	* moved main/gs_shortcutbar.* to gnome/shortcutbar_main.*
	* added function headers to shortcutbar files
	* moved main/gs_viewcomm_dlg.* to gnome/commentary_dialog.*
	* moved main/gs_viewdict_dlg.* to gnome/dictlex_dialog.*


2002-06-03  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gnome/create_shortcutbar_viewer.* to gnome/shortcutbar_viewer.*


2002-05-21  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved create percomm control code from gnome/_editor.c
	  to gnome/_percomm.c
	* moved create studypad control code from gnome/_editor.c
	  to gnome/studypad.c


2002-05-17  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed main/gs_gui_cb.*
	* added gnome/toolbar_nav.*
	* removed main/gs_getinfo_dlg.* - was not used
	* renamed main/gs_information_dlg.* to main/display_info.*
	* renamed backend/display_info.* to backend/display_info_.*
	* added gnome/_display_info.*


2002-05-16  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed main/gs_editor.* all the functions moved to other files
	* added gnome/studypad.*


2002-05-15  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved main/gs_editor_replace.* to gnome/editor_replace.*
	* moved main/gs_editor_search.* to gnome/gs_editor_search.*
	* moved main/gs_editor_toolbar.* to gnome/editor_toolbar.*


2002-05-12  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved main/gs_detach_sb.* to gnome/shortcutbar_dialog.*


2002-05-11  Terry Biggs <tbiggs@users.sourceforge.net>

	* moved main/gs_detach_int.* to gnome/parallel_dialog.*


2002-05-10  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed gnome/commentary_find_dialog.* to gnome/commentary_find.*
	* renamed gnome/gbs_find_dialog.* to gnome/gbs_find.*
	* added gnome/_bibletext_view.*
	* renamed main/gs_viewtext_dlg.* to main/bibletext_view.*
	* renamed backend/viewtext.* to backend/bibletext_view_.*
	* added main/lists.* to handle lists - module, option and Bible books


2002-05-09  Terry Biggs <tbiggs@users.sourceforge.net>

	* split gs_setup.* into main/setup.* and gnome/setup_druid.*
	* the setup_druid caused a segfault after the finish button
	  is pressed - it causes a problem with the splash screen :(
	* added show toolbar item to Bible and commentary pane menus


2002-05-08  Terry Biggs <tbiggs@users.sourceforge.net>

	* added gnome/commentary_find_dialog.*
	* added gnome/gbs_find_dialog.*
	* removed main/gs_find_dlg.*


2002-05-07  Terry Biggs <tbiggs@users.sourceforge.net>

	* split gs_gbs.* into main/gbs.* and gnome/_gbs.*
	* renamed backend/gbs.* to gbs_.*


2002-05-06  Terry Biggs <tbiggs@users.sourceforge.net>

	* split gs_dictlex.* into main/dictlex.* and gnome/_dictlex.*
	* renamed backend/dictlex.* to dictlex_.*


2002-05-03  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed gs_mainmenu_cb.* added gnome/main_menu.*
	  took menu creation from main/gs_gui.* put menu creation
	  and call backs into gnome/main_menu.*
	* added function headers to gnome/main_menu.* and removed
	  calls to backend
	* renamee main/gs_commentary.* to main/commentary.*
	* renamed backend/commentary.* to backend/commentary_.*
	* added gnome/_commentary.*



2002-05-02  Terry Biggs <tbiggs@users.sourceforge.net>

	* split main/gs_editor into gnome/link_dialog, gnome/_editor,
	* gnome/editor_menu and main/gs_editor more work to be dome.
	* added main/percomm and backend/percomm_


2002-04-26  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed main/gs_unlockkey_dlg.* gnome/cipher_key_dialog.*
	* added backend/bibletext.* and main/gs_bibletext.*


2002-04-22  Terry Biggs <tbiggs@users.sourceforge.net>

	* renamed backend/viewcomm_dlg.* to backend/viewcomm.*
	* removed gui stuff from viewcomm.*
	* renamed backend/verselist_sb.* to backend/verselist.*

2002-04-20  Terry Biggs <tbiggs@users.sourceforge.net>

	* added es.po from Jorge Chacon <jgchacon@itelgua.com>
	* corrected some spelling error in gui

2002-04-19  Terry Biggs <tbiggs@users.sourceforge.net>

	* add files create_shortcutbar_viewer.* to src/gnome
	* remove gui stuff from backend/verslist_sb.*
	* rename backend/viewtext_dlg.* to backend/viewtext.*
	* remove gui stuff form backend/viewtext.*

2002-04-18  Terry Biggs <tbiggs@users.sourceforge.net>

	* add files create_shortcutbar_search.* to src/gnome
	* removed gui stuff from search.cpp


2002-04-15  Terry Biggs <tbiggs@users.sourceforge.net>

	* added src/gnome src/backend src/main
	* created new cvs module gnomesword1


2002-04-12  Terry Biggs <tbiggs@users.sourceforge.net>

	* add gs_ and sw_ dictlex.* files and moved the code
	  for dictionaries and lexicons to them.
	* removed quickmarks
	* separated the gui and backend code for the setup druid.

2002-04-11  Victor Porton  <porton@localhost>

	* fixed bug about verses with numbers 0 and -1


2002-04-10  Terry Biggs <tbiggs@users.sourceforge.net>

	* added patch from Daniel Glassey to fix strongs, morph and
	  footnote button crash.
	* fixed paragraph mark in chapter display

2002-04-09  Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.7.1
	* German translation finished
	* garbled shortcut bar bug fixed


2002-04-02  Terry Biggs <tbiggs@users.sourceforge.net>

	* split sw_gbs.* into sw_gbs.* and gs_gbs.*

2002-04-01  Terry Biggs <tbiggs@users.sourceforge.net>

	* fixed detach parallel crash when Main Text module
	  is duplicated in parallel.
	* added use default dictionary choice to preferences dialog
	  for left clicking on a word.

2002-03-30  Terry Biggs <tbiggs@users.sourceforge.net>

	* removed on_link2_clicked from gs_html.c because
	  it was no longer used.
	* added view in viewer and/or Dict/Lex pane option to
	  preferences dialog.
	* added choice for viewer lex modules - you can now view one
	  module in the viewer and another in the Dict/Lex pane.
	* hopefully fixed the detach parallel crash.

2002-03-28  Terry Biggs <tbiggs@users.sourceforge.net>

	* shortcut bar viewer is made visible when a word is clicked
	  in a Bible text ,Commentary or Book pane.

2002-03-28  Terry Biggs <tbiggs@users.sourceforge.net>

	* reworked some of the save and load bookmarks code
	  to work with Victor's changes
	* removed unused button form shortcut bar verse list
	* added view tab item to gbs popup menu

2002-03-28  Victor Porton  <porton@localhost>

	* rewritten some of bookmarks code

2002-03-26 Terry Biggs <tbiggs@users.sourceforge.net>

	* removed sw_utility.* it was no longer used
	* reworked saveshortcutbarSW() in sw_shortcutbar.cpp to remove
	  annoying unbalanced bracket warning during make

2002-03-26 Victor Porton <porton@narod.ru>

	* fixed crash if an parallel module is NULL

2002-03-21 Terry Biggs <tbiggs@users.sourceforge.net>

	* a single click with left button will lookup word under
	  cursor in current Dict/Lex module and display it in
	  shortcut bar viewer. Works in gbs, texts, and comm windows.


2002-03-14 Terry Biggs <tbiggs@users.sourceforge.net>

	* adding a new bookmark group now adds a menu item to
	  the add bookmark menus.
	* fixed the detached parallel not changing modules bug
	* setup druid now shows correct gnomesword version number
	* notebook tab menus now display last item correctly.
	* added find dialog that can be used outside of html editor
	* added files gs_find_dlg.c and gs_find_dlg.h


2002-03-11 Jan Paul Schmidt <japas.@users.sourceforge.net>

	* added German translation

2002-03-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* added notebook to lower pane area (lex/dict).
	* added Dict/Lex, GBS and parallel page to notebook
	* removed gs_gbs.* - all gbs code is in sw_gbs.*
	* removed editor functions from gbs - will add back later.


2002-03-01 Terry Biggs <tbiggs@users.sourceforge.net>

	* added gs_editor_search.* (from GtkHTML editor)


2002-02-23 Terry Biggs <tbiggs@users.sourceforge.net>

	* changed sw_gnomesword.* to sw_sword.*
	* changed gs_information_sw.* sw_information_dlg.*
	* changed gs_html_editor.* to gs_editor.*
	* added gs_gbs.* and sw_gbs.*
	* added gs_getinfo_dlg.*


2002-02-19 Terry Biggs <tbiggs@users.sourceforge.net>

	* one more time - change look of search results - removed preview
	  of verses - it was to slow.


2002-02-15 Terry Biggs <tbiggs@users.sourceforge.net>

	* made parallel page undockable
	* when int page is undocked it displays a chapter at
	 a time with the mods side by side in an html table
	 like BibleTime.
	* added gs_undock_int.* and gs_undock_sb.*

2002-02-02 Terry Biggs <tbiggs@users.sourceforge.net>

	* added editor to gbs
	* made shortcut bar dockable


2002-02-01 Terry Biggs <tbiggs@users.sourceforge.net>

	* removed autosave option for personal comments editor (tmp??)


2002-01-31 Terry Biggs <tbiggs@users.sourceforge.net>

	* added some GBS support
	* added book viewer to main notebook w/ commentaries, note editor,
	  parallel page and studypad.
	* added book ctree to shortcutbar


2002-01-19 Terry Biggs <tbiggs@users.sourceforge.net>

	* changed ui - moved toolbars


2001-12-18 Terry Biggs <tbiggs@users.sourceforge.net>

	* added <clear Quickmarks> item to Quickmarks menu
	* removed quickmark editor (gs_listedtion.c)

2001-12-18 Terry Biggs <tbiggs@users.sourceforge.net>

	* added gs_html_editor.*, gs_editor_replace.* and gs_editor_toolbar.* most of this code is
	  from gtkhtml-1.0
	* removed printer.*  - now using gtk_html_print_with_header_footer for printing.
	* added html formatting to studypad and note editor using gtkhtml
	* global options stored for each module added modops.conf to ~/.GnomeSword for storing
	  module options


2001-12-05 Terry Biggs <tbiggs@users.sourceforge.net>

	* added global options menu to viewtext dialog


2001-12-04 Terry Biggs <tbiggs@users.sourceforge.net>

	* bumped to release 0.7.0
	* now using SWORD MarkupFilterMgr


2001-11-25 Moses Mcknight<m-mcknight@users.sf.net>

	* added hpaned to search results


2001-11-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* fixed some problems with the shortcut bar
	* added menu item to module shortcut bars to add all modules to the shortcut bar


2001-11-03 Terry Biggs <tbiggs@users.sourceforge.net>

	* one more time - change look of search results - to give preview of verses found
	  using a clist for verse ref and verse preview.


2001-11-01 Terry Biggs <tbiggs@users.sourceforge.net>

	* Added two buttons to main toolbar - Footnotes and Morph Tags


2001-10-22 Terry Biggs <tbiggs@users.sourceforge.net>

	* made dependant on sword cvs to get ready for
	  sword-1.5.3
	* removed all local render filters (now using sword's)


2001-10-19 Terry Biggs <tbiggs@users.sourceforge.net>

	*  fixed to build using gtkhtml-0.15.99-snap.ximian.200110181519

2001-10-10 Terry Biggs <tbiggs@users.sourceforge.net>

	* released 0.5.2a - mostly bug fixes
	* requires gnome-1.4.0, gal-0.13.9 and gtkhtml-0.14.9
	* droped the preview of search results - much to slow.
	* added highlight to search results for word and pharase searchs

2001-10-02 Terry Biggs <tbiggs@users.sourceforge.net>

	* change look of search results - to give preview of verses found

2001-10-01 Terry Biggs <tbiggs@users.sourceforge.net>

	* fixed another shortcut bar bug - caused crash when deleting last
	  shortcut item in a group


2001-09-20 Terry Biggs <tbiggs@users.sourceforge.net>

	* added po directory and gettext support
	* added _() to strings that need to be translated - lots of work left to do


2001-09-18 Terry Biggs <tbiggs@users.sourceforge.net>

	* added horz scroll bar to commentary window.
	* fixed the last fix - right this time I hope.


2001-09-15 Terry Biggs <tbiggs@users.sourceforge.net>

	* fixed shortcut-bar crash on changing groups
	  which started with gal snapshot 200109150708 release


2001-09-13 Terry Biggs <tbiggs@users.sourceforge.net>

	*  gs will now display book introductions for thml commentaries
	   that have them.


2001-09-10 Terry Biggs <tbiggs@users.sourceforge.net>

	*  fixed bug that cause gs to crash when selecting text
	   in parallel page


2001-09-04 Terry Biggs <tbiggs@users.sourceforge.net>

	*  Changed Font= and Font size= for module conf files
	   to GSFont= and GSFont size= to avoid conflicts since we
	   use different forms.
	* Fixed not remembered morph tags state bug


2001-08-23 Terry Biggs <tbiggs@users.sourceforge.net>

	* added expand all and collapse all items to the
	   bookmark tree's popup menu


2001-08-22 Terry Biggs <tbiggs@users.sourceforge.net>

	* added about.png


2001-08-21Terry Biggs <tbiggs@users.sourceforge.net>

	* release  0.5.2
	* added files gs_mainmenu_cb.*
	* renamed callback.* to gs_gui_cb.*


2001-08-18 Terry Biggs <tbiggs@users.sourceforge.net>

	* Added notebook to verselist group of shortcut bar
	  with three pages - verse list, search results and viewer
	* Changed gs_display.* files to sw_display.*
	* Changed the names of the filters:
		gs_gbfhtml.* to gbfhtmlhref.*
		gs_thmlhtml.* to thmlhtmlhref.*
	* removed gs_search.* and ga_search_cb.*
	* removed display.*

2001-08-18 Terry Biggs <tbiggs@users.sourceforge.net>

	* added unlock module dialog
	* added support for module font size and font name


2001-08-16 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.5.1a
	* fix gconf_init bug
	* fix to work with gal-0.10.99.2 and under to 0.4.99
	* view text dialog is now resizeable
	* parallel verses are now in an html table


2001-08-13 Terry Biggs <tbiggs@users.sourceforge.net>

	* change to release 0.5.0
	* requires sword-1.5.2
	* changed main menu item 'Bookmarks' to 'Quickmarks' to
	   avoid confusion with shortcut bar bookmarks
	* added choice of Lexicon to be used when strongs number
	  is clicked to preferences dialog
	* when mouse is moved over strongs number of morph tag
	  lexicon of choice will be displayed in the verse list window
	  if it is visible. Clicking will open lexicon in 'Dictionay / Lexicon"
	  window.
	* changed files gs_sword.cpp and gs_sword.h to sw_gnomesword.cpp
	   and sw_gnomesword.h
	* added files sw_viewcomm_dlg.cpp, sw_viewcomm_dlg.h, sw_viewdict_dlg.cpp,
	   and sw_viewdict_dlg.h
	* Strongs and footnotes settings for the parallel window are now saved
	   and used on program start.


2001-08-10 Terry Biggs <tbiggs@users.sourceforge.net>

	* added support for <sync type=Strongs> thml tags
	* added fonts selection to preferences dialog

2001-08-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* added delete and add modules to shortcut bar
	* added a favorites bar to shortcut bar
	* added files sw_shortcutbar.cpp and sw_shortcutbar.h


2001-08-04 Terry Biggs <tbiggs@users.sourceforge.net>

	* add bookmark menu now allows you to chose where to
	  add bookmark
	* added save verse list to bookmarks


2001-08-03 Terry Biggs <tbiggs@users.sourceforge.net>

	* added verse list to shortcut bar
	* added files sw_verselist_sb.cpp and sw_verselist_sb.h
	* removed files gs_verselist_dlg.c gs_verselist_dlg.h
				sw_verselist_dlg.cpp sw_verselist_dlg.h


2001-08-02 Terry Biggs <tbiggs@users.sourceforge.net>

	* added search to shortcut bar
	* added files sw_search.cpp and sw_search.h

2001-07-30 Terry Biggs <tbiggs@users.sourceforge.net>

	* convert old bookmarks to new on first start
	* run setup dialog on first start
	* preferences are applied when ok or apply button on
	   preferences dialog is pressed.

2001-07-28 Terry Biggs <tbiggs@users.sourceforge.net>

	* set version to 0.4.9
	* new preferences dialog
	* added files gs_preferences_dlg.c and gs_preferences_dlg.h
	* removed interface.c and interface.h

2001-07-25 Terry Biggs <tbiggs@users.sourceforge.net>

	* added e-splash.c and e-spalash.h to src from gIDE from evolution
	* added splash.png to pixmaps
	* added splash screen

2001-07-20 Terry Biggs <tbiggs@users.sourceforge.net>

	* added [view context] link to each parallel verse that will swap
	 it with the module in the main window.
	* added Strongs, Footnotes and Morph Tags to parallel popup menu.

2001-07-16 Terry Biggs <tbiggs@users.sourceforge.net>

	* added a verse list dialog that pops up when you  click a
	link in a ThML commentay.
	Thanks to SWORD ParseVerseList.
	* added notebook tabs to Bible window

2001-07-14 Terry Biggs <tbiggs@users.sourceforge.net>

	* Create new bookmark group and file is working.

2001-07-13 Terry Biggs <tbiggs@users.sourceforge.net>

	* load and save bookmark ctree is working
	* add bookmark menu item added to popup windows
	  for Text, commentary and lex/dict. This adds bookmark
	  to the personal node of the ctree.

2001-07-11 Terry Biggs <tbiggs@users.sourceforge.net>

	* added module descriptions as tooltips to popup menus
	* changed from module names to module descriptions in shourtcut bar
	* added a number of settings to the preferences.conf


2001-07-05 Terry Biggs <tbiggs@users.sourceforge.net>

	* worked on unicode support stuff - help
	* added gs_bookmarks.* and sw_latin1utf8.*
	* added ctree to shortcut bar for bookmarks


2001-07-03 Terry Biggs <tbiggs@users.sourceforge.net>

	* worked on unicode support stuff - help
	* added a view text dialog
	* changed about module dialog to html

2001-06-30 Terry Biggs <tbiggs@users.sourceforge.net>

	* added files


2001-05-14 Terry Biggs <tbiggs@users.sourceforge.net>

	* added gs_viewtext_dlg.c and gs_viewtext_dlg.h
	* changed gs_viewcomm.* and gs_viewdict.* to gs_viewcomm_dlg.* and gs_viewdict_dlg.*

2001-04-09 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.4.1
	* added include for stricmp <>
	* fixed view/parallel menu bug - caused segfault and crash.
	* add 4th and 5th view/parallel menus


2001-04-05 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.4.0
	* added addrenderfilterSWORD function
	* gnomesword requires GtkHTML-0.8.0 or later


2001-03-28 Terry Biggs <tbiggs@users.sourceforge.net>

	* added check for save if studypad file is modified on open and new


2001-03-27 Terry Biggs <tbiggs@users.sourceforge.net>

	* 0.3pre2
	* added dialog for viewing commentary modules
	* added files - gs_viewcomm.c and gs_viewcomm.h
	* fixed delete note bug


2001-03-20 Terry Biggs <tbiggs@users.sourceforge.net>

	* changes in the look of Bible text modules

2001-03-17 Terry Biggs <tbiggs@users.sourceforge.net>

	* added files  gs_display.cpp and gs_display.h

2001-03-15 Terry Biggs <tbiggs@users.sourceforge.net>

	* Added a number of files gs_rwphtml.cpp, gs_rwphtml.h,
	  gs_thmlhtml.cpp and gs_thmlhtml.h which are filters and
	  will be removed with the next release of sword - also added
	  gs_popup_cb.c, gs_popup_cb.h,gs_abouts.c and gs_abouts.h


2001-02-20 Terry Biggs <tbiggs@users.sourceforge.net>

	* changed main.cpp to main.c


2001-02-20 Terry Biggs <tbiggs@users.sourceforge.net>

	* added html window for dict/lex modules
	* changed the html parallel window to a single window that will
	  display five Bible text modules



2001-02-20 Terry Biggs <tbiggs@users.sourceforge.net>

	*release 0.3.9pre1
	*GtkHTML-0.8.0 is not required to build gnomesword
	*but gnomesword can be built with GtkHTML
	*gs_rwphtml.cpp works now.


2001-02-20 Terry Biggs <tbiggs@users.sourceforge.net>

	*GtkHTML-0.8.0 is now required to build gnomesword
	*GtkHTML is to display Bible texts and commentaries


2001-02-08 Terry Biggs <tbiggs@users.sourceforge.net>

	*added GtkHTML to display commentaries


2001-02-03 Terry Biggs <tbiggs@users.sourceforge.net>

        *gal-0.4.99.7 is required to build with gnomesword the Evolution
        shortcut-bar.
        *revomed all the Evolution code


2001-01-30 Terry Biggs <tbiggs@users.sourceforge.net>

        *added history list and buttons


2001-01-08 Terry Biggs <tbiggs@users.sourceforge.net>

	*fixed listeditor bug - crashed with seg fault
	 when last item was moved up.


2001-01-05 Terry Biggs <tbiggs@users.sourceforge.net>

	*merged gnomesword and gnomeswordLE
	*removed spellcheck.cpp, spellcheck.h, DICTClient.cpp and DICTClient..h
	*gnomesword will use ispell or aspell for spell checking
	*added files from Bluefish HTML Editor:
	spell.c, spell.h, spell_gui.c, spell_gui.h, char_table.c and char_table.h
	for spell checking
	*added dialog for viewing dictionary modules


2000-12-23 Terry Biggs <tbiggs@users.sourceforge.net>

	*now using gal 4.0
	*removed all of the Evolution code but
	/widgets/shortcut-bar and /widgets/misc.


2000-12-15 Terry Biggs <tbiggs@users.sourceforge.net>

	*changed filestuff.cpp to gs_file.c
	*changed filestuff.h to gs_file.c


2000-12-13 Terry Biggs <tbiggs@users.sourceforge.net>

	*changed listeditor.cpp to gs_listeditor.c
	*added gs_studypad.c and gs_studypad.h


2000-12-08 Terry Biggs <tbiggs@users.sourceforge.net>

	* shortcut bar bug fixed - really
	* release 0.3.7a


2000-12-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.3.7
	* shortcut bar bug fixed
	panesize = e_paned_get_position(E_PANED(lookup_widget(MainFrm,"epaned")));
        if(panesize > 0 )
        {
        	settings->shortcutbarsize = panesize;
        	return true;
        }


2000-12-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.3.6
	* fixed show print button in studypad


2000-12-06 Terry Biggs <tbiggs@users.sourceforge.net>

	* release 0.3.5
	* split GnomeSword.cpp into gs_sword.cpp and gs_gnomesword.c
	* split GnomeSword.h into gs_sword.h and gs_gnomesword.h


2000-12-04 Terry Biggs <tbiggs@users.sourceforge.net>

	*release 0.3.4
	*scroll bug fixed in display.cpp - thanks to Gregg Berg
	for finding and fixing this bug.


2000-11-20 Terry Biggs <tbiggs@users.sourceforge.net>

	*release 0.3.2
	*fixed crash with seg fault on initial startup after build,
	 thanks to Fred Smith <fredex@fcshome.stoneham.ma.us>
	 for finding and fixing this bug.


2000-11-14 Terry Biggs <tbiggs@users.sourceforge.net>

	*separate initSword() and initGnomeSword()


2000-11-09 Terry Biggs <tbiggs@users.sourceforge.net>

	*add a configuration option for the shortcut bar
		show history group



2000-11-9  Terry Biggs <tbiggs@users.sourceforge.net>

	*release 0.3.0
	*requires sword-1.5.1a
	*requires gnome-print-0.20 or higher
	*add some configuration options for the shortcut bar
		show commentary group
		show dictionary group


2000-10-12  Terry Biggs <tbiggs@users.sourceforge.net>

	*removed reference to unknown includes
	#include  <widgets/e-paned/e-hpaned.h/>
	#include  <widgets/e-paned/e-vpaned.h/>
	in GnomeSword.cpp, callback.cpp and interface.c
	changed to
	#include  <widgets/e-paned/e-hpaned.h>
	#include  <widgets/e-paned/e-vpaned.h>


2000-10-05  Terry Biggs <tbiggs@users.sourceforge.net>

	*release 0.2.5

2000-10-03  Terry Biggs <tbiggs@users.sourceforge.net>

	*added history group to shortcut bar

2000-09-29  Terry Biggs <tbiggs@users.sourceforge.net>

	*patch supplied by Chad Thomas <cbthomas@students.uiuc.edu>
	to allow lookup of Strongs numbers in dict/lex text by
	double clicking the number.

2000-09-27  Terry Biggs <tbiggs@users.sourceforge.net>

        *changed panes to e-panes from the evolution package

2000-09-21  Terry Biggs <tbiggs@users.sourceforge.net>

        *note editor no longer adds spaces to beginning of note
        *studypad's open and save dialogs look in home dir

2000-09-21  Terry Biggs <tbiggs@users.sourceforge.net>

        * moved module lists to submenu of Bible window popup menu

2000-09-20  Terry Biggs <tbiggs@users.sourceforge.net>

        * added module lists to commentary and dictionary window popup menus

2000-09-15  Terry Biggs <tbiggs@users.sourceforge.net>

        * release 0.2.4
        *display.cpp changed to handle upper or lower case html tags
        *fixed history menu - clicking on verse ref will no longer
        send you to Gen 1:1.

2000-09-06  Terry Biggs <tbiggs@users.sourceforge.net>

        * fixed a segfault that cause gnomesword to crash while
        displaying verses from a search.

2000-09-03  Terry Biggs <tbiggs@users.sourceforge.net>

        * coding style changes
        * fixed some code problems - memory not freed

2000-08-30  Michael Meeks  <michael@helixcode.com>

	* widgets/Makefile.am (SUBDIRS): add e-paned back.

2000-08-27  Michael Meeks  <michael@helixcode.com>

        * configure.in: Added sword seek and use logic, from 'BibleTime'
        * gnomesword/Makefile.am: Rationalize the conditionals, sort.

2000-08-28  - you can now change the size of the search dialog
            - note editor will now save note when formatting is off

2000-08-25  - bug fixes
            - double click on a Srongs number to look up number in Srongs lex

2000-08-18  - bug fixes - misc segfaults and crashes (when using commentary modules)
            - enabled all menu items
            - added shortcut bar from the Evolution project
            - first 0.2 release

2000-08-02  - bug fixes - misc segfaults and crashes
            - double click the verse num in main text window to make that verse
            the current verse.
            - new popup menu items let you lookup a highlighted word or number
            in current dict/lex.
            - changes to display code.

2000-07-18	- formatting of personal comments using html tags added
						- fixed NIV problem

2000-07-10	- bug fixes
		- button to create new file in studypad added
		- follow button added to notes editor

2000-07-03  	- new bookmark editor
		- added command line options to set options and bookmark files to defalt settings

2000-06-15  	- changed from options array to settings structure - stored in binary file
		- added module About Dialog to show module information
		- word wrap added to printing - using printing code from gedit-0.7.9

2000-06-09  	- added printing using gnome-print-0.20. You can print the text in
		studypad. Print needs more work - later.
		- added scroll buttons to dictionary-lexicon key entry.

2000-06-06  	- cleaned up bookmarks menu - edit bookmarks now applies changes when
		you click ok.
		- clear history works
		- personal comments page moved - if you have more than one personal module
		you can switch using popup menu on comments page.
		- spellchecking works for personal comments now.

2000-06-05  	you can set the color for the current verse

2000-06-02  	fixed some bugs in the personal comments editor

2000-05-17  	-added spellchecking - not perfect but seems to work
		ok in studypad.
